{"swagger":"2.0","info":{"title":"AAC 2.0","description":"### Service Dependencies\n     * DIAS Connector:\n     * Redis\n\n### What Can You Do with the Authorization and Access Control (AAC) Service\n\n The Authorization and Access Control (AAC) service is a RESTful application that contains a set of API endpoints to govern security and policy enforcement as per the ICMS 2013 Manual. With the exception of one endpoint,  `GET /userattributes`, AAC 2.0 is not API compatible with AAC 1.2.8. This is because AAC 1.2.8 predates RESTful standards, using Thrift instead. However the User Access Object(AO) and Access Control Model(ACM) of AAC 2 is exactly the same as its counterpart in AAC 1.2.8. And the API set performs exactly the same functions as AAC 1.2.8.\nThe primary capabilities within this service are the following:\n\n   * The Access Control Model (ACM) is the security model leveraged by the system when enforcing access control.  It is based on the Information Security Marking (ISM), Need to Know (NTK), Alternate Compensatory Control Measures (ACCM) and Share standards, requirements and policies.\n   * The User's Authorization Object (AO) is a model that represents what a user can and cannot have, allow both the UI and services to govern data access control.\n   * AAC maintains a cache of the user's authorization object (AO) and User's Roles/Permission for \"x\" configurable time.\n   * Security Attributes are internally controlled Mission Specific Community of Interests (COI), Working Groups and Share policies that pertain to BSF.  This also contains capabilities that can be enabled on a per-feature basis if enterprise services such as Defense Intelligence Authorization Service (DIAS) do not exist on a \"x\" domain.\n   * User Fine-Grained Access Controls consists of Mission Specific COIs/Working Groups, roles, permissions, location information, etc.\n   * Provides Access Decisions when comparing a users User's Authorization Object (AO) to Access Control Model (ACM)\n\n### User's Authorization Object (AO) and Access Control Model (ACM)\n\n   AAC is responsible for generating and managing a user's\n   authorization object (AO) and an access control model (ACM) persisted\n   with a piece of information.  Using the AO and ACM the service provides\n   security recommendations to clients in order to facilitate\n   document/object and field/attribute redaction of data.  \n\n   Using the service applications can apply the following security tiers to document/object and field-level data points.\n\n     * IC-ISM attribute based structure\n     * ORCON - Requires agencies/organizations to be set.  Additional share may be applied for further restricting dissemination if needed but is not required.\n     * ACCM Controlled Access\n     * Mission Access Control (MAC) Access\n     * Mission Controlled Work Groups\n     * Sharing/Private Controlled Access\n\n### Mapping of AAC 2 to AAC 1.2.8 endpoints \n\n\n |  AAC 2 HTTP Request Method/Path | AAC 1.2.8 HTTP Request Method/Path| API Backward Compatible |\n |-----|-----|-------|\n | GET /admin/changelog | n/a | false\n | GET /caches   | n/a     |   false\n | DELETE /caches/all   | n/a     | false\n | DELETE /caches/{UserDN}   | DELETE /userattributes    | false\n | GET /userattributes   | GET /userattributes     | true\n | GET /users/me   | GET /userattributes     | false\n | GET /users/templates   | GET /userattributes     | false\n | POST /users/{UserDN}/accesses   | POST /acm/checkaccess     | false\n | POST /users/{UserDN}/accesses | POST /acm/checkaccess/populate | false\n | POST /users/{UserDN}/accesses | POST /acm/populate | false\n | POST /users/me/accesses   | POST /acm/checkaccess     | false\n | GET /snippets   | GET /snippets    | false\n | GET /snippets/templates   | GET /snippets     | false\n | POST /icms/markings/acms   | POST /capco/markings/acms | false\n | GET /icms/classifications   | POST /capco/restrictionsandformats/capcostring | false\n | PUT /icms/classifications   | POST /capco/restrictionsandformats/capcostring | false\n | PUT /icms/classifications   | POST /populates/and/validates/acms/from/capco/strings | false\n | PUT /icms/classifications | PUT /capco/restrictionsandformats | false\n | PATCH /icms/classifications   | POST /capco/restrictionsandformats/capcostring | false\n | POST /acms/policies   | GET /snippets     | false\n | GET /acms/policies/templates   | GET /snippets     | false\n | POST /acms/redact   | POST /acms/redacts    | false\n | POST /acms/validations   |  POST /acm/validate     | false\n | POST /acms/validations |  PUT /capco/formattedstring | false\n | POST /acms/validations | POST /acms/validates | false\n | POST /acms/rollup   | POST /acm/rollup    | false\n | POST /acms/rollup   | POST /acm/share     | false\n | POST /acms/rollup | PUT /capco/rollupstrings | false\n | Not going to implement | GET /validates/countries/trigraphs | n/a\n | Not implemented yet | POST /builds/acms | n/a\n","termsOfService":"http://greymatter.io/terms/","version":"2.0"},"externalDocs":{"description":"Find out more about Greymatter","url":"http://greymatter.io"},"paths":{"/admin/changelog":{"get":{"summary":"Get CHANGELOG.md contents","operationId":"Changelog","description":"Get CHANGELOG.md contents to inform the user about the running build\n","responses":{"200":{"description":"successful operation","content":{"text/plain":{"example":"# Enterprise AAC Service\n\n## [Unreleased]\n\n### Added\n\n- Admin endpoint that returns changelog of the build\n"}}}}}},"/caches":{"get":{"summary":"Get the cache and its metadata from whatever cache is currently running in AAC, either distributed or local cache","operationId":"ListCachedUsers","description":"Get the cache and its metadata from whatever cache is currently running in AAC, either distributed or local cache.  The CacheType field is either L1(local cache) or Redis.  This endpoint supports pagination of the list of cache keys.\n","parameters":[{"in":"query","name":"keysPerPage","description":"The number of cache keys to show per page","required":false,"schema":{"default":20,"type":"string"}},{"in":"query","name":"pageNum","description":"The page number you wish to view. The first page number is 1.","required":false,"schema":{"default":1,"type":"string"}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CacheMetaData"}}}}}}},"/caches/all":{"delete":{"summary":"Delete all users from whatever cache is currently running in AAC, either distributed or local cache","operationId":"DeleteAllUsersFromCache","description":"Delete all users from whatever cache is currently running in AAC, either distributed or local cache\n","responses":{"200":{"description":"successful operation"}}}},"/caches/{UserDN}":{"delete":{"summary":"Delete the given user from whatever cache is currently running in AAC, either distributed(Redis) or local L1 cache","operationId":"DeleteUserFromCache","description":"Delete the given user from whatever cache is currently running in AAC, either distributed or local cache\n","parameters":[{"in":"path","name":"UserDN","description":"The DN of the user you are trying to delete from Cache.","required":true,"schema":{"type":"string"},"example":"CN%3Dtest%20tester06%2COU%3DPeople%2COU%3DDAE%2COU%3Dchimera%2CO%3DU.S.%20Government%2CC%3DUS\n"}],"responses":{"200":{"description":"successful operation"}}}},"/userattributes":{"get":{"summary":"Get user attributes for the given user","operationId":"GetUserAttributesForGivenUserAAC128","description":"DEPRECATED Lookup a User Authorization Object for the given User.  This endpoint exactly matches the behavior of the AAC 1.2.8 `/userattributes?userToken=CN=test%20tester06,OU=People,OU=DAE,OU=chimera,O=U.S.%20Government,C=US` endpoint. That behavior is not RESTful. Users of this API endpoint must interpret success or failure based upon the message contents exactly as in AAC 1.2.8.","parameters":[{"in":"query","required":true,"name":"userToken","schema":{"type":"string","description":"The DN of the user you are trying to fetch from DIAS. Callers of this API endpoint must be URL encode the UserDN","example":"CN%3Dtest%20tester06%2COU%3DPeople%2COU%3DDAE%2COU%3Dchimera%2CO%3DU.S.%20Government%2CC%3DUS\n"}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/LegacyUserObject"}}}},"400":{"description":"requirement failed userToken is required"}}}},"/users":{"get":{"summary":"Get user attributes for the given user","operationId":"GetUserAttributesForGivenUser","description":"Lookup a User Authorization Object for the given User\n","parameters":[{"in":"query","name":"userToken","required":true,"schema":{"type":"string"},"example":"CN%3Dtest%20tester06%2COU%3DPeople%2COU%3DDAE%2COU%3Dchimera%2CO%3DU.S.%20Government%2CC%3DUS","description":"The DN of the user you are trying to fetch from DIAS. Callers of this API endpoint must be URL encode the UserDN"},{"in":"query","name":"template","required":false,"schema":{"type":"string"},"description":"The name of a template in TEMPLATES_USERS_PATH for rendering the attributes of user specified in userToken","example":"test.tpl"}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserObject"},"example":"{\n  \"userDN\": \"cn=test tester06,ou=people,ou=dae,ou=chimera,o=u.s. government,c=us\",\n  \"diasUserGroups\": {\n    \"projects\": [\n      {\n        \"projectName\": \"Focal Point\",\n        \"groupNames\": [\n          \"BALSAM_FIR\",\n          \"BIGTOOTH_ASPEN\",\n          \"BLACK_LOCUST\",\n          \"BLACK_OAK\",\n          \"CHESTNUT_OAK\",\n          \"EASTERN_HEMLOCK\",\n          \"QUAKING_ASPEN\",\n          \"SILVER_MAPLE\",\n          \"SLIPPERY_ELM\",\n          \"TULIP_TREE\",\n          \"WHITE_ASH\"\n        ]\n      },\n      {\n        \"projectName\": \"ICF_AMS_DEV\",\n        \"groupNames\": [\n          \"branch_chief\",\n          \"dcs_ops\",\n          \"division_chief\",\n          \"general_user\"\n        ]\n      },\n      {\n        \"projectName\": \"DCTC\",\n        \"groupNames\": [\n          \"ODrive\",\n          \"ODrive_G1\",\n          \"WATCHDOG_USER\"\n        ]\n      },\n      {\n        \"projectName\": \"career-explorer\",\n        \"groupNames\": [\n          \"user\"\n        ]\n      },\n      {\n        \"projectName\": \"Chimera\",\n        \"groupNames\": [\n          \"chimera\",\n          \"df_01\",\n          \"df_02\",\n          \"df_03\",\n          \"era_audit\",\n          \"era_oversight\",\n          \"era_rest\",\n          \"era_rest_admin\",\n          \"inquire_qb\",\n          \"inquire_rd_ha\",\n          \"plexus_crimson_users\",\n          \"plexus_crimson_viewers\",\n          \"plexus_dragon_users\",\n          \"plexus_dragon_viewers\",\n          \"plexus_dreadwing_users\",\n          \"plexus_dreadwing_viewers\",\n          \"plexus_firebird_users\",\n          \"plexus_firebird_viewers\",\n          \"plexus_gorgon_users\",\n          \"plexus_gorgon_viewers\",\n          \"plexus_hunter_users\",\n          \"plexus_hunter_viewers\",\n          \"plexus_junkyard_users\",\n          \"plexus_junkyard_viewers\",\n          \"plexus_mako_users\",\n          \"plexus_mako_viewers\",\n          \"plexus_simpsons_users\",\n          \"plexus_simpsons_viewers\",\n          \"plexus_spectrum_users\",\n          \"plexus_spectrum_viewers\",\n          \"plexus_titan_users\",\n          \"plexus_titan_viewers\",\n          \"plexus_viridian_users\",\n          \"plexus_viridian_viewers\",\n          \"sri_blue\",\n          \"srv_user_admin\"\n        ]\n      },\n      {\n        \"projectName\": \"Bedrock\",\n        \"groupNames\": [\n          \"CTKB_CMS_WFC\",\n          \"DOCTRACKER_USER\"\n        ]\n      },\n      {\n        \"projectName\": \"icebreaker\",\n        \"groupNames\": [\n          \"icebreaker-analyst\",\n          \"icebreaker-dia\"\n        ]\n      }\n    ]\n  },\n  \"whitePageAttributes\": {\n    \"firstName\": \"tester06\",\n    \"surName\": \"test\",\n    \"uid\": \"D12345-2\",\n    \"companyName\": \"\",\n    \"telephoneNumber\": \"123-123-1234 1234\",\n    \"icEMail\": \"test.tester06@ic.com\",\n    \"siprnetEmail\": \"test.tester06@sipr.com\",\n    \"niprnetEmail\": \"test.tester06@nipr.com\"\n  },\n  \"userClearance\": {\n    \"clearance\": \"TS\",\n    \"clearanceRank\": 0,\n    \"citizenship\": \"USA\",\n    \"formalAccess\": [\n      \"SI\",\n      \"TK\"\n    ]\n  },\n  \"gimmeeAttributes\": {\n    \"organization\": \"\",\n    \"topic\": null,\n    \"region\": null,\n    \"groups\": null,\n    \"isAICP\": false,\n    \"communityType\": \"\",\n    \"organizationalPath\": \"\"\n  },\n  \"adminOrg\": \"\",\n  \"dutyOrg\": \"DIA\",\n  \"nShare\": {\n    \"Bedrock\": [\n      \"CTKB_CMS_WFC\",\n      \"DOCTRACKER_USER\"\n    ],\n    \"Chimera\": [\n      \"chimera\",\n      \"era_audit\",\n      \"era_oversight\",\n      \"era_rest\",\n      \"era_rest_admin\",\n      \"inquire_qb\",\n      \"inquire_rd_ha\",\n      \"plexus_crimson_users\",\n      \"plexus_crimson_viewers\",\n      \"plexus_dragon_users\",\n      \"plexus_dragon_viewers\",\n      \"plexus_dreadwing_users\",\n      \"plexus_dreadwing_viewers\",\n      \"plexus_firebird_users\",\n      \"plexus_firebird_viewers\",\n      \"plexus_gorgon_users\",\n      \"plexus_gorgon_viewers\",\n      \"plexus_hunter_users\",\n      \"plexus_hunter_viewers\",\n      \"plexus_junkyard_users\",\n      \"plexus_junkyard_viewers\",\n      \"plexus_mako_users\",\n      \"plexus_mako_viewers\",\n      \"plexus_simpsons_users\",\n      \"plexus_simpsons_viewers\",\n      \"plexus_spectrum_users\",\n      \"plexus_spectrum_viewers\",\n      \"plexus_titan_users\",\n      \"plexus_titan_viewers\",\n      \"plexus_viridian_users\",\n      \"plexus_viridian_viewers\",\n      \"sri_blue\",\n      \"srv_user_admin\"\n    ],\n    \"DCTC\": [\n      \"ODrive\",\n      \"ODrive_G1\",\n      \"WATCHDOG_USER\"\n    ],\n    \"ICF_AMS_DEV\": [\n      \"branch_chief\",\n      \"dcs_ops\",\n      \"division_chief\",\n      \"general_user\"\n    ],\n    \"career_explorer\": [\n      \"user\"\n    ],\n    \"icebreaker\": [\n      \"icebreaker_analyst\",\n      \"icebreaker_dia\"\n    ]\n  },\n  \"nMacs\": [\n    {\n      \"coi\": \"df_01\",\n      \"disp_nm\": \"df 01\",\n      \"coi_ctrls\": [\n\n      ]\n    },\n    {\n      \"coi\": \"df_02\",\n      \"disp_nm\": \"df 02\",\n      \"coi_ctrls\": [\n\n      ]\n    },\n    {\n      \"coi\": \"df_03\",\n      \"disp_nm\": \"df 03\",\n      \"coi_ctrls\": [\n\n      ]\n    }\n  ],\n  \"nAccms\": [\n    {\n      \"coi\": \"BALSAM_FIR\",\n      \"disp_nm\": \"BALSAM FIR\",\n      \"coi_ctrls\": [\n\n      ]\n    },\n    {\n      \"coi\": \"BIGTOOTH_ASPEN\",\n      \"disp_nm\": \"BIGTOOTH ASPEN\",\n      \"coi_ctrls\": [\n\n      ]\n    },\n    {\n      \"coi\": \"BLACK_LOCUST\",\n      \"disp_nm\": \"BLACK LOCUST\",\n      \"coi_ctrls\": [\n\n      ]\n    },\n    {\n      \"coi\": \"BLACK_OAK\",\n      \"disp_nm\": \"BLACK OAK\",\n      \"coi_ctrls\": [\n\n      ]\n    },\n    {\n      \"coi\": \"CHESTNUT_OAK\",\n      \"disp_nm\": \"CHESTNUT OAK\",\n      \"coi_ctrls\": [\n\n      ]\n    },\n    {\n      \"coi\": \"EASTERN_HEMLOCK\",\n      \"disp_nm\": \"EASTERN HEMLOCK\",\n      \"coi_ctrls\": [\n\n      ]\n    },\n    {\n      \"coi\": \"QUAKING_ASPEN\",\n      \"disp_nm\": \"QUAKING ASPEN\",\n      \"coi_ctrls\": [\n\n      ]\n    },\n    {\n      \"coi\": \"SILVER_MAPLE\",\n      \"disp_nm\": \"SILVER MAPLE\",\n      \"coi_ctrls\": [\n\n      ]\n    },\n    {\n      \"coi\": \"SLIPPERY_ELM\",\n      \"disp_nm\": \"SLIPPERY ELM\",\n      \"coi_ctrls\": [\n\n      ]\n    },\n    {\n      \"coi\": \"TULIP_TREE\",\n      \"disp_nm\": \"TULIP TREE\",\n      \"coi_ctrls\": [\n\n      ]\n    },\n    {\n      \"coi\": \"WHITE_ASH\",\n      \"disp_nm\": \"WHITE ASH\",\n      \"coi_ctrls\": [\n\n      ]\n    }\n  ],\n  \"nFormalAccess\": [\n    \"SI\",\n    \"TK\"\n  ],\n  \"f_macs\": {\n    \"negate\": [\n      \"autobots\",\n      \"autobots_bumblebee\",\n      \"autobots_hotrod\",\n      \"autobots_ironhide\",\n      \"autobots_jazz\",\n      \"autobots_optimus_prime\",\n      \"autobots_red_alert\",\n      \"autobots_wheeljack\",\n      \"bir\",\n      \"cir_a1\",\n      \"cir_a2\",\n      \"cir_a3\",\n      \"dea\",\n      \"discepticon\",\n      \"discepticon_full_tilt\",\n      \"discepticon_megaton\",\n      \"discepticon_shockwave\",\n      \"discepticon_starscream\",\n      \"dr_a1\",\n      \"lampshade\",\n      \"lampshade_blue\",\n      \"lampshade_brown\",\n      \"lampshade_purple\",\n      \"lightspeed\",\n      \"mac_unknown\",\n      \"telcom\",\n      \"tide\",\n      \"usp_ii\",\n      \"watchdog\",\n      \"wires\"\n    ],\n    \"as_is\": [\n      \"df_01\",\n      \"df_02\",\n      \"df_03\"\n    ]\n  },\n  \"f_oc_org\": {\n    \"as_is\": [\n      \"\"\n    ]\n  },\n  \"f_accms\": {\n    \"negate\": [\n      \"accm_unknown\",\n      \"american_beech\",\n      \"american_chestnut\",\n      \"bitternut_hickory\",\n      \"black_ash\",\n      \"black_cherry\",\n      \"cucumber_tree\",\n      \"paper_birch\",\n      \"red_spruce\",\n      \"scarlet_oak\",\n      \"yellow_birch\"\n    ],\n    \"as_is\": [\n      \"balsam_fir\",\n      \"bigtooth_aspen\",\n      \"black_locust\",\n      \"black_oak\",\n      \"chestnut_oak\",\n      \"eastern_hemlock\",\n      \"quaking_aspen\",\n      \"silver_maple\",\n      \"slippery_elm\",\n      \"spider_man\",\n      \"tulip_tree\",\n      \"white_ash\"\n    ]\n  },\n  \"f_clearance\": {\n    \"as_is\": [\n      \"c\",\n      \"r\",\n      \"s\",\n      \"ts\",\n      \"u\"\n    ]\n  },\n  \"f_regions\": {\n    \"as_is\": [\n\n    ]\n  },\n  \"f_missions\": {\n    \"as_is\": [\n\n    ]\n  },\n  \"f_share\": {\n    \"as_is\": [\n      \"bedrock_ctkb_cms_wfc\",\n      \"bedrock_doctracker_user\",\n      \"career_explorer_user\",\n      \"chimera_chimera\",\n      \"chimera_era_audit\",\n      \"chimera_era_oversight\",\n      \"chimera_era_rest\",\n      \"chimera_era_rest_admin\",\n      \"chimera_inquire_qb\",\n      \"chimera_inquire_rd_ha\",\n      \"chimera_plexus_crimson_users\",\n      \"chimera_plexus_crimson_viewers\",\n      \"chimera_plexus_dragon_users\",\n      \"chimera_plexus_dragon_viewers\",\n      \"chimera_plexus_dreadwing_users\",\n      \"chimera_plexus_dreadwing_viewers\",\n      \"chimera_plexus_firebird_users\",\n      \"chimera_plexus_firebird_viewers\",\n      \"chimera_plexus_gorgon_users\",\n      \"chimera_plexus_gorgon_viewers\",\n      \"chimera_plexus_hunter_users\",\n      \"chimera_plexus_hunter_viewers\",\n      \"chimera_plexus_junkyard_users\",\n      \"chimera_plexus_junkyard_viewers\",\n      \"chimera_plexus_mako_users\",\n      \"chimera_plexus_mako_viewers\",\n      \"chimera_plexus_simpsons_users\",\n      \"chimera_plexus_simpsons_viewers\",\n      \"chimera_plexus_spectrum_users\",\n      \"chimera_plexus_spectrum_viewers\",\n      \"chimera_plexus_titan_users\",\n      \"chimera_plexus_titan_viewers\",\n      \"chimera_plexus_viridian_users\",\n      \"chimera_plexus_viridian_viewers\",\n      \"chimera_sri_blue\",\n      \"chimera_srv_user_admin\",\n      \"dctc_odrive\",\n      \"dctc_odrive_g1\",\n      \"dctc_watchdog_user\",\n      \"icebreaker_icebreaker_analyst\",\n      \"icebreaker_icebreaker_dia\",\n      \"icf_ams_dev_branch_chief\",\n      \"icf_ams_dev_dcs_ops\",\n      \"icf_ams_dev_division_chief\",\n      \"icf_ams_dev_general_user\",\n      \"cntesttester06oupeopleoudaeouchimeraou_s_governmentcus\",\n      \"cusou_s_governmentouchimeraoudaeoupeoplecntesttester06\"\n    ]\n  },\n  \"f_sci_ctrls\": {\n    \"negate\": [\n      \"el\",\n      \"el_eu\",\n      \"el_nk\",\n      \"hcs\",\n      \"hcs_o\",\n      \"hcs_p\",\n      \"kdk\",\n      \"kdk_blfh\",\n      \"kdk_idit\",\n      \"kdk_kand\",\n      \"rsv\",\n      \"si_g\"\n    ],\n    \"as_is\": [\n      \"bye\",\n      \"byeman\",\n      \"moray\",\n      \"operational_sigint_byeman\",\n      \"osb\",\n      \"si\",\n      \"spoke\",\n      \"tk\",\n      \"umbra\",\n      \"z\",\n      \"zarf\"\n    ]\n  }\n}\n"}}},"404":{"description":"No user with userDN[CN=test tester100,OU=People,OU=DAE,OU=chimera,O=U.S. Government,C=US] exists in DIAS Enterprise Connector"}}}},"/users/me":{"get":{"summary":"Get user attributes for me, optionally templated","operationId":"GetUserAttributesForMe","description":"Lookup a User Authorization Object for the given User DN on the certificate\n","parameters":[{"in":"query","name":"template","required":false,"schema":{"type":"string"},"description":"template user AO with a template in TEMPLATE_USERS_PATH","example":"test.tpl"}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserObjectNoNegate"},"example":"{\n  \"userDN\": \"cn=test tester06,ou=people,ou=dae,ou=chimera,o=u.s. government,c=us\",\n  \"diasUserGroups\": {\n    \"projects\": [\n      {\n        \"projectName\": \"Focal Point\",\n        \"groupNames\": [\n          \"BALSAM_FIR\",\n          \"BIGTOOTH_ASPEN\",\n          \"BLACK_LOCUST\",\n          \"BLACK_OAK\",\n          \"CHESTNUT_OAK\",\n          \"EASTERN_HEMLOCK\",\n          \"QUAKING_ASPEN\",\n          \"SILVER_MAPLE\",\n          \"SLIPPERY_ELM\",\n          \"TULIP_TREE\",\n          \"WHITE_ASH\"\n        ]\n      },\n      {\n        \"projectName\": \"ICF_AMS_DEV\",\n        \"groupNames\": [\n          \"branch_chief\",\n          \"dcs_ops\",\n          \"division_chief\",\n          \"general_user\"\n        ]\n      },\n      {\n        \"projectName\": \"DCTC\",\n        \"groupNames\": [\n          \"ODrive\",\n          \"ODrive_G1\",\n          \"WATCHDOG_USER\"\n        ]\n      },\n      {\n        \"projectName\": \"career-explorer\",\n        \"groupNames\": [\n          \"user\"\n        ]\n      },\n      {\n        \"projectName\": \"Chimera\",\n        \"groupNames\": [\n          \"chimera\",\n          \"df_01\",\n          \"df_02\",\n          \"df_03\",\n          \"era_audit\",\n          \"era_oversight\",\n          \"era_rest\",\n          \"era_rest_admin\",\n          \"inquire_qb\",\n          \"inquire_rd_ha\",\n          \"plexus_crimson_users\",\n          \"plexus_crimson_viewers\",\n          \"plexus_dragon_users\",\n          \"plexus_dragon_viewers\",\n          \"plexus_dreadwing_users\",\n          \"plexus_dreadwing_viewers\",\n          \"plexus_firebird_users\",\n          \"plexus_firebird_viewers\",\n          \"plexus_gorgon_users\",\n          \"plexus_gorgon_viewers\",\n          \"plexus_hunter_users\",\n          \"plexus_hunter_viewers\",\n          \"plexus_junkyard_users\",\n          \"plexus_junkyard_viewers\",\n          \"plexus_mako_users\",\n          \"plexus_mako_viewers\",\n          \"plexus_simpsons_users\",\n          \"plexus_simpsons_viewers\",\n          \"plexus_spectrum_users\",\n          \"plexus_spectrum_viewers\",\n          \"plexus_titan_users\",\n          \"plexus_titan_viewers\",\n          \"plexus_viridian_users\",\n          \"plexus_viridian_viewers\",\n          \"sri_blue\",\n          \"srv_user_admin\"\n        ]\n      },\n      {\n        \"projectName\": \"Bedrock\",\n        \"groupNames\": [\n          \"CTKB_CMS_WFC\",\n          \"DOCTRACKER_USER\"\n        ]\n      },\n      {\n        \"projectName\": \"icebreaker\",\n        \"groupNames\": [\n          \"icebreaker-analyst\",\n          \"icebreaker-dia\"\n        ]\n      }\n    ]\n  },\n  \"whitePageAttributes\": {\n    \"firstName\": \"tester06\",\n    \"surName\": \"test\",\n    \"uid\": \"D12345-2\",\n    \"companyName\": \"\",\n    \"telephoneNumber\": \"123-123-1234 1234\",\n    \"icEMail\": \"test.tester06@ic.com\",\n    \"siprnetEmail\": \"test.tester06@sipr.com\",\n    \"niprnetEmail\": \"test.tester06@nipr.com\"\n  },\n  \"userClearance\": {\n    \"clearance\": \"TS\",\n    \"clearanceRank\": 0,\n    \"citizenship\": \"USA\",\n    \"formalAccess\": [\n      \"SI\",\n      \"TK\"\n    ]\n  },\n  \"gimmeeAttributes\": {\n    \"organization\": \"\",\n    \"topic\": null,\n    \"region\": null,\n    \"groups\": null,\n    \"isAICP\": false,\n    \"communityType\": \"\",\n    \"organizationalPath\": \"\"\n  },\n  \"adminOrg\": \"\",\n  \"dutyOrg\": \"DIA\",\n  \"nShare\": {\n    \"Bedrock\": [\n      \"CTKB_CMS_WFC\",\n      \"DOCTRACKER_USER\"\n    ],\n    \"Chimera\": [\n      \"chimera\",\n      \"era_audit\",\n      \"era_oversight\",\n      \"era_rest\",\n      \"era_rest_admin\",\n      \"inquire_qb\",\n      \"inquire_rd_ha\",\n      \"plexus_crimson_users\",\n      \"plexus_crimson_viewers\",\n      \"plexus_dragon_users\",\n      \"plexus_dragon_viewers\",\n      \"plexus_dreadwing_users\",\n      \"plexus_dreadwing_viewers\",\n      \"plexus_firebird_users\",\n      \"plexus_firebird_viewers\",\n      \"plexus_gorgon_users\",\n      \"plexus_gorgon_viewers\",\n      \"plexus_hunter_users\",\n      \"plexus_hunter_viewers\",\n      \"plexus_junkyard_users\",\n      \"plexus_junkyard_viewers\",\n      \"plexus_mako_users\",\n      \"plexus_mako_viewers\",\n      \"plexus_simpsons_users\",\n      \"plexus_simpsons_viewers\",\n      \"plexus_spectrum_users\",\n      \"plexus_spectrum_viewers\",\n      \"plexus_titan_users\",\n      \"plexus_titan_viewers\",\n      \"plexus_viridian_users\",\n      \"plexus_viridian_viewers\",\n      \"sri_blue\",\n      \"srv_user_admin\"\n    ],\n    \"DCTC\": [\n      \"ODrive\",\n      \"ODrive_G1\",\n      \"WATCHDOG_USER\"\n    ],\n    \"ICF_AMS_DEV\": [\n      \"branch_chief\",\n      \"dcs_ops\",\n      \"division_chief\",\n      \"general_user\"\n    ],\n    \"career_explorer\": [\n      \"user\"\n    ],\n    \"icebreaker\": [\n      \"icebreaker_analyst\",\n      \"icebreaker_dia\"\n    ]\n  },\n  \"nMacs\": [\n    {\n      \"coi\": \"df_01\",\n      \"disp_nm\": \"df 01\",\n      \"coi_ctrls\": [\n\n      ]\n    },\n    {\n      \"coi\": \"df_02\",\n      \"disp_nm\": \"df 02\",\n      \"coi_ctrls\": [\n\n      ]\n    },\n    {\n      \"coi\": \"df_03\",\n      \"disp_nm\": \"df 03\",\n      \"coi_ctrls\": [\n\n      ]\n    }\n  ],\n  \"nAccms\": [\n    {\n      \"coi\": \"BALSAM_FIR\",\n      \"disp_nm\": \"BALSAM FIR\",\n      \"coi_ctrls\": [\n\n      ]\n    },\n    {\n      \"coi\": \"BIGTOOTH_ASPEN\",\n      \"disp_nm\": \"BIGTOOTH ASPEN\",\n      \"coi_ctrls\": [\n\n      ]\n    },\n    {\n      \"coi\": \"BLACK_LOCUST\",\n      \"disp_nm\": \"BLACK LOCUST\",\n      \"coi_ctrls\": [\n\n      ]\n    },\n    {\n      \"coi\": \"BLACK_OAK\",\n      \"disp_nm\": \"BLACK OAK\",\n      \"coi_ctrls\": [\n\n      ]\n    },\n    {\n      \"coi\": \"CHESTNUT_OAK\",\n      \"disp_nm\": \"CHESTNUT OAK\",\n      \"coi_ctrls\": [\n\n      ]\n    },\n    {\n      \"coi\": \"EASTERN_HEMLOCK\",\n      \"disp_nm\": \"EASTERN HEMLOCK\",\n      \"coi_ctrls\": [\n\n      ]\n    },\n    {\n      \"coi\": \"QUAKING_ASPEN\",\n      \"disp_nm\": \"QUAKING ASPEN\",\n      \"coi_ctrls\": [\n\n      ]\n    },\n    {\n      \"coi\": \"SILVER_MAPLE\",\n      \"disp_nm\": \"SILVER MAPLE\",\n      \"coi_ctrls\": [\n\n      ]\n    },\n    {\n      \"coi\": \"SLIPPERY_ELM\",\n      \"disp_nm\": \"SLIPPERY ELM\",\n      \"coi_ctrls\": [\n\n      ]\n    },\n    {\n      \"coi\": \"TULIP_TREE\",\n      \"disp_nm\": \"TULIP TREE\",\n      \"coi_ctrls\": [\n\n      ]\n    },\n    {\n      \"coi\": \"WHITE_ASH\",\n      \"disp_nm\": \"WHITE ASH\",\n      \"coi_ctrls\": [\n\n      ]\n    }\n  ],\n  \"nFormalAccess\": [\n    \"SI\",\n    \"TK\"\n  ],\n  \"f_macs\": {\n    \"as_is\": [\n      \"df_01\",\n      \"df_02\",\n      \"df_03\"\n    ]\n  },\n  \"f_oc_org\": {\n    \"as_is\": [\n      \"\"\n    ]\n  },\n  \"f_accms\": {\n    \"as_is\": [\n      \"balsam_fir\",\n      \"bigtooth_aspen\",\n      \"black_locust\",\n      \"black_oak\",\n      \"chestnut_oak\",\n      \"eastern_hemlock\",\n      \"quaking_aspen\",\n      \"silver_maple\",\n      \"slippery_elm\",\n      \"spider_man\",\n      \"tulip_tree\",\n      \"white_ash\"\n    ]\n  },\n  \"f_clearance\": {\n    \"as_is\": [\n      \"c\",\n      \"r\",\n      \"s\",\n      \"ts\",\n      \"u\"\n    ]\n  },\n  \"f_regions\": {\n    \"as_is\": [\n\n    ]\n  },\n  \"f_missions\": {\n    \"as_is\": [\n\n    ]\n  },\n  \"f_share\": {\n    \"as_is\": [\n      \"bedrock_ctkb_cms_wfc\",\n      \"bedrock_doctracker_user\",\n      \"career_explorer_user\",\n      \"chimera_chimera\",\n      \"chimera_era_audit\",\n      \"chimera_era_oversight\",\n      \"chimera_era_rest\",\n      \"chimera_era_rest_admin\",\n      \"chimera_inquire_qb\",\n      \"chimera_inquire_rd_ha\",\n      \"chimera_plexus_crimson_users\",\n      \"chimera_plexus_crimson_viewers\",\n      \"chimera_plexus_dragon_users\",\n      \"chimera_plexus_dragon_viewers\",\n      \"chimera_plexus_dreadwing_users\",\n      \"chimera_plexus_dreadwing_viewers\",\n      \"chimera_plexus_firebird_users\",\n      \"chimera_plexus_firebird_viewers\",\n      \"chimera_plexus_gorgon_users\",\n      \"chimera_plexus_gorgon_viewers\",\n      \"chimera_plexus_hunter_users\",\n      \"chimera_plexus_hunter_viewers\",\n      \"chimera_plexus_junkyard_users\",\n      \"chimera_plexus_junkyard_viewers\",\n      \"chimera_plexus_mako_users\",\n      \"chimera_plexus_mako_viewers\",\n      \"chimera_plexus_simpsons_users\",\n      \"chimera_plexus_simpsons_viewers\",\n      \"chimera_plexus_spectrum_users\",\n      \"chimera_plexus_spectrum_viewers\",\n      \"chimera_plexus_titan_users\",\n      \"chimera_plexus_titan_viewers\",\n      \"chimera_plexus_viridian_users\",\n      \"chimera_plexus_viridian_viewers\",\n      \"chimera_sri_blue\",\n      \"chimera_srv_user_admin\",\n      \"dctc_odrive\",\n      \"dctc_odrive_g1\",\n      \"dctc_watchdog_user\",\n      \"icebreaker_icebreaker_analyst\",\n      \"icebreaker_icebreaker_dia\",\n      \"icf_ams_dev_branch_chief\",\n      \"icf_ams_dev_dcs_ops\",\n      \"icf_ams_dev_division_chief\",\n      \"icf_ams_dev_general_user\",\n      \"cntesttester06oupeopleoudaeouchimeraou_s_governmentcus\",\n      \"cusou_s_governmentouchimeraoudaeoupeoplecntesttester06\"\n    ]\n  },\n  \"f_sci_ctrls\": {\n    \"as_is\": [\n      \"bye\",\n      \"byeman\",\n      \"moray\",\n      \"operational_sigint_byeman\",\n      \"osb\",\n      \"si\",\n      \"spoke\",\n      \"tk\",\n      \"umbra\",\n      \"z\",\n      \"zarf\"\n    ]\n  }\n}\n"}}},"404":{"description":"No user with userDN[CN=test tester100,OU=People,OU=DAE,OU=chimera,O=U.S. Government,C=US] exists in DIAS Enterprise Connector"}}}},"/users/templates":{"get":{"summary":"Get a listing of all templates in TEMPLATE_USERS_PATH and their parsed status.","operationId":"ListUserTemplates","description":"This is a template management endpoint that informs the user about the status of parsed status of templates.\n","responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ListTemplatesResponse"},"example":"{\n  \"LastParseTime\": \"Wed Nov 17 05:05:55 2021\",\n  \"Parsed\": [\n      \"/template-files/users/test.tpl\"\n  ],\n  \"Unparsed\": [\n      \"/template-files/users/a_bad_test.tpl - template: a_bad_test.tpl:17: unexpected {{end}}\"\n  ]\n}\n"}}}}}},"/users/{UserDN}/accesses":{"post":{"summary":"Given a User DN determine if he has access to the given ACMs.","operationId":"CheckAccessForUserInPath","description":"Given a user DN, determine if that user has access to each of the ACMs in the list. The array in the resulting response is in the exact same order as the input array of ACMs, thus allowing users of the API to correlate their input ACMs line-by-line with the output ACMs. Each resulting ACM also contains its newly-calculated \"flattened\" attributes and an Errors data structure containing any errors, the empty case signifying that the user has access to that ACM. Callers of this API endpoint must URL encode the UserDN\n","parameters":[{"in":"path","name":"UserDN","description":"The DN of the user you are trying to fetch from DIAS. Use \"cn=test tester10,ou=people,ou=dae,ou=chimera,o=u.s. government,c=us\" for testing.  Callers of this API endpoint must be URL encode the UserDN","required":true,"schema":{"type":"string"},"example":"cn%3Dtest%20tester10%2Cou%3Dpeople%2Cou%3Ddae%2Cou%3Dchimera%2Co%3Du.s.%20government%2Cc%3Dus\n"}],"requestBody":{"description":"An Array of AccessTuples ","required":true,"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/AccessTuple"}}}}},"responses":{"200":{"description":"Contains an array of ACMs and their errors that is in the same order as the input array of ACMs","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/AcmHasAccessResponse"}}}}},"404":{"description":"No user with userDN[CN=test tester100,OU=People,OU=DAE,OU=chimera,O=U.S. Government,C=US] exists in DIAS Enterprise Connector                }"}}}},"/users/me/accesses":{"post":{"summary":"Given the user in the certificate determine if he has access to the given ACM.","operationId":"CheckAccessForMe","description":"Given the user in the certificate, determine if that user has access to each of the ACMs in the list. The array in the resulting response is in the exact same order as the input array of ACMs, thus allowing users of the API to correlate their input ACMs line-by-line with the output ACMs. Each resulting ACM also contains its newly-calculated \"flattened\" attributes and an Errors data structure containing any errors, the empty case signifying that the user has access to that ACM. Callers of this API endpoint must URL encode the UserDN\n","requestBody":{"description":"An Array of AccessTuples ","required":true,"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/AccessTuple"}}}}},"responses":{"200":{"description":"Contains an array of ACMs and their errors that is in the same order as the input array of ACMs","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/AcmHasAccessResponse"}}}}},"404":{"description":"No user with userDN[CN=test tester100,OU=People,OU=DAE,OU=chimera,O=U.S. Government,C=US] exists in DIAS Enterprise Connector                }"}}}},"/snippets":{"get":{"summary":"get filter snippet of specified type for specified user","operationId":"GetSnippet","description":"For given user, endpoint renders a filter snippet for a particular data store\n","parameters":[{"in":"query","name":"userToken","description":"userDN","required":true,"schema":{"type":"string"},"example":"CN%3Dtest%20tester10%2COU%3DPeople%2COU%3DDAE%2COU%3Dchimera%2CO%3DU.S.%20Government%2CC%3DUS"},{"in":"query","name":"snippetType","description":"the name of a snippet filename in TEMPLATES_SNIPPETS_PATH - omit .tpl extension","required":true,"schema":{"type":"string"},"example":"elasticsearch5"}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"type":"object","items":{"$ref":"#/components/schemas/SnippetsResponse"},"example":"{\"snippets\":\"{\\\"f_macs\\\":\\\"{\\\\\\\"bool\\\\\\\":{\\\\\\\"should\\\\\\\":[{\\\\\\\"bool\\\\\\\":{\\\\\\\"must_not\\\\\\\":[{\\\\\\\"terms\\\\\\\":{\\\\\\\"acm.f_macs\\\\\\\":[\\\"bir\\\",\\\"tide\\\",\\\"watchdog\\\"]}}]}},{\\\\\\\"bool\\\\\\\":{\\\\\\\"must_not\\\\\\\":[{\\\\\\\"exists\\\\\\\":{\\\\\\\"field\\\\\\\":\\\\\\\"acm.f_macs\\\\\\\"}}]}}]}}\\\",\\\"f_oc_org\\\":\\\"{\\\\\\\"bool\\\\\\\":{\\\\\\\"should\\\\\\\":[{\\\\\\\"bool\\\\\\\":{\\\\\\\"must\\\\\\\":[{\\\\\\\"exists\\\\\\\":{\\\\\\\"field\\\\\\\":\\\\\\\"acm.f_oc_org\\\\\\\"}},{\\\\\\\"terms\\\\\\\":{\\\\\\\"acm.f_oc_org\\\\\\\":[\\\"dia\\\"]}}]}},{\\\\\\\"bool\\\\\\\":{\\\\\\\"must_not\\\\\\\":[{\\\\\\\"exists\\\\\\\":{\\\\\\\"field\\\\\\\":\\\\\\\"acm.f_oc_org\\\\\\\"}}]}}]}}\\\",\\\"f_sap\\\":\\\"{\\\\\\\"bool\\\\\\\":{\\\\\\\"must_not\\\\\\\":[{\\\\\\\"exists\\\\\\\":{\\\\\\\"field\\\\\\\":\\\\\\\"acm.f_sar_id\\\\\\\"}}]}}\\\",\\\"f_accms\\\":\\\"{\\\\\\\"bool\\\\\\\":{\\\\\\\"should\\\\\\\":[{\\\\\\\"bool\\\\\\\":{\\\\\\\"must_not\\\\\\\":[{\\\\\\\"terms\\\\\\\":{\\\\\\\"acm.f_accms\\\\\\\":[]}}]}},{\\\\\\\"bool\\\\\\\":{\\\\\\\"must_not\\\\\\\":[{\\\\\\\"exists\\\\\\\":{\\\\\\\"field\\\\\\\":\\\\\\\"acm.f_accms\\\\\\\"}}]}}]}}\\\",\\\"f_clearance\\\":\\\\\\\"{\\\\\\\"bool\\\\\\\":{\\\\\\\"filter\\\\\\\":[{\\\\\\\"terms\\\\\\\":{\\\\\\\"acm.f_clearance\\\\\\\":[\\\"c\\\",\\\"r\\\",\\\"s\\\",\\\"ts\\\",\\\"u\\\"]}}]}}\\\",\\\"f_regions\\\":\\\"{\\\"bool\\\":{\\\"should\\\":[{\\\"bool\\\":{\\\"must\\\":[{\\\"exists\\\":{\\\"field\\\":\\\"acm.f_regions\\\"}},{\\\"terms\\\":{\\\"acm.f_regions\\\":[]}}]}},{\\\"bool\\\":{\\\"must_not\\\":[{\\\"exists\\\":{\\\"field\\\":\\\"acm.f_regions\\\"}}]}}]}}\\\",\\\"f_missions\\\":\\\"{\\\\\\\"bool\\\\\\\":{\\\\\\\"should\\\\\\\":[{\\\\\\\"bool\\\\\\\":{\\\\\\\"must\\\\\\\":[{\\\\\\\"exists\\\\\\\":{\\\\\\\"field\\\\\\\":\\\\\\\"acm.f_missions\\\\\\\"}},{\\\\\\\"terms\\\\\\\":{\\\\\\\"acm.f_missions\\\\\\\":[]}}]}},{\\\\\\\"bool\\\\\\\":{\\\\\\\"must_not\\\\\\\":[{\\\\\\\"exists\\\\\\\":{\\\\\\\"field\\\\\\\":\\\\\\\"acm.f_missions\\\\\\\"}}]}}]}}\\\",\\\"f_share\\\":\\\"{\\\\\\\"bool\\\\\\\":{\\\\\\\"should\\\\\\\":[{\\\\\\\"bool\\\\\\\":{\\\\\\\"must\\\\\\\":[{\\\\\\\"exists\\\\\\\":{\\\\\\\"field\\\\\\\":\\\\\\\"acm.f_share\\\\\\\"}},{\\\\\\\"terms\\\\\\\":{\\\\\\\"acm.f_share\\\\\\\":[\\\"bedrock_ctkb_administrative_coi\\\",\\\"bedrock_ctkb_administrator\\\",\\\"bedrock_ctkb_analytical_briefing_coi\\\",\\\"bedrock_ctkb_cms_fdo\\\",\\\"bedrock_ctkb_cms_production\\\",\\\"bedrock_ctkb_ct_assessment_external_coi\\\",\\\"bedrock_ctkb_ct_assessment_jitfct_coi\\\",\\\"bedrock_ctkb_daily_ct_update_external_coi\\\",\\\"bedrock_ctkb_diu_coi\\\",\\\"bedrock_ctkb_dts_coi\\\",\\\"bedrock_ctkb_iict_coi\\\",\\\"bedrock_ctkb_message_traffic_jitfct_coi\\\",\\\"bedrock_ctkb_profiles_coi\\\",\\\"bedrock_ctkb_tdp_coi\\\",\\\"bedrock_ctkb_tir_coi\\\",\\\"bedrock_ctkb_tts_coi\\\",\\\"bedrock_ctkb_wfc_coi\\\",\\\"bedrock_dcp_admin\\\",\\\"bedrock_up2_administrator\\\",\\\"bedrock_up2_poa_administrator\\\",\\\"bedrock_up2_poa_user\\\",\\\"bedrock_up2_user\\\",\\\"bedrock_watchdog_administrator\\\",\\\"bedrock_watchdog_user\\\",\\\"chimera_cerberus_users\\\",\\\"chimera_cerberus_viewers\\\",\\\"chimera_chimera\\\",\\\"chimera_era_audit\\\",\\\"chimera_era_oversight\\\",\\\"chimera_era_rest\\\",\\\"chimera_era_rest_admin\\\",\\\"chimera_inquire_qb\\\",\\\"chimera_inquire_rd_ha\\\",\\\"chimera_plexus_crimson_users\\\",\\\"chimera_plexus_crimson_viewers\\\",\\\"chimera_plexus_demo_viewers\\\",\\\"chimera_plexus_dragon_users\\\",\\\"chimera_plexus_dragon_viewers\\\",\\\"chimera_plexus_dreadwing_users\\\",\\\"chimera_plexus_dreadwing_viewers\\\",\\\"chimera_plexus_firebird_users\\\",\\\"chimera_plexus_firebird_viewers\\\",\\\"chimera_plexus_gorgon_users\\\",\\\"chimera_plexus_gorgon_viewers\\\",\\\"chimera_plexus_hunter_users\\\",\\\"chimera_plexus_hunter_viewers\\\",\\\"chimera_plexus_junkyard_users\\\",\\\"chimera_plexus_junkyard_viewers\\\",\\\"chimera_plexus_mako_users\\\",\\\"chimera_plexus_mako_viewers\\\",\\\"chimera_plexus_shadow_users\\\",\\\"chimera_plexus_shadow_viewers\\\",\\\"chimera_plexus_simpsons_users\\\",\\\"chimera_plexus_simpsons_viewers\\\",\\\"chimera_plexus_spectrum_users\\\",\\\"chimera_plexus_spectrum_viewers\\\",\\\"chimera_plexus_titan_users\\\",\\\"chimera_plexus_titan_viewers\\\",\\\"chimera_plexus_training_viewers\\\",\\\"chimera_plexus_tungsten_users\\\",\\\"chimera_plexus_tungsten_viewers\\\",\\\"chimera_plexus_viridian_a_users\\\",\\\"chimera_plexus_viridian_users\\\",\\\"chimera_plexus_viridian_viewers\\\",\\\"chimera_plexus_warlock_users\\\",\\\"chimera_plexus_warlock_viewers\\\",\\\"chimera_sri_blue\\\",\\\"chimera_srv_user_admin\\\",\\\"dcp_dcp_admin\\\",\\\"dctc_dctc_tma_admin\\\",\\\"dctc_odrive\\\",\\\"dctc_odrive_g1\\\",\\\"dctc_tomar_users\\\",\\\"dctc_up2_administrator\\\",\\\"dctc_up2_poa_administrator\\\",\\\"dctc_up2_poa_user\\\",\\\"dctc_up2_user\\\",\\\"dctc_watchdog_administrator\\\",\\\"dctc_watchdog_user\\\",\\\"icf_ams_general_user\\\",\\\"icf_ams_superuser\\\",\\\"jitfct_twl_administrator\\\",\\\"productevaluations_pereporting\\\",\\\"cntesttester10oupeopleoudaeouchimeraou_s_governmentcus\\\",\\\"cusou_s_governmentouchimeraoudaeoupeoplecntesttester10\\\"]}}]}},{\\\\\\\"bool\\\\\\\":{\\\\\\\"must_not\\\\\\\":[{\\\\\\\"exists\\\\\\\":{\\\\\\\"field\\\\\\\":\\\\\\\"acm.f_share\\\\\\\"}}]}}]}}\\\",\\\"f_aea\\\":\\\"{\\\\\\\"bool\\\\\\\":{\\\\\\\"must_not\\\\\\\":[{\\\\\\\"exists\\\\\\\":{\\\\\\\"field\\\\\\\":\\\\\\\"acm.f_atom_energy\\\\\\\"}}]}}\\\",\\\"dissem_countries\\\":\\\"{\\\\\\\"bool\\\\\\\":{\\\\\\\"should\\\\\\\":[{\\\\\\\"bool\\\\\\\":{\\\\\\\"must\\\\\\\":[{\\\\\\\"exists\\\\\\\":{\\\\\\\"field\\\\\\\":\\\\\\\"acm.dissem_countries\\\\\\\"}},{\\\\\\\"terms\\\\\\\":{\\\\\\\"acm.dissem_countries\\\\\\\":[\\\"USA\\\"]}}]}},{\\\"bool\\\":{\\\\\\\"must_not\\\\\\\":[{\\\\\\\"exists\\\\\\\":{\\\\\\\"field\\\\\\\":\\\\\\\"acm.dissem_countries\\\\\\\"}}]}}]}}\\\",\\\"f_sci_ctrls\\\":\\\"{\\\\\\\"bool\\\\\\\":{\\\\\\\"must_not\\\\\\\":[{\\\\\\\"terms\\\\\\\":{\\\\\\\"acm.f_sci_ctrls\\\\\\\":[\\\"-blfh\\\",\\\"-eu\\\",\\\"-idit\\\",\\\"-kand\\\",\\\"-nk\\\",\\\"-o\\\",\\\"-p\\\",\\\"el\\\",\\\"el_eu\\\",\\\"el_nk\\\",\\\"hcs_o\\\",\\\"kdk\\\",\\\"kdk_blfh\\\",\\\"kdk_idit\\\",\\\"kdk_kand\\\",\\\"rsv\\\"]}}]}}\\\"}\"}\n"}}}},"404":{"description":"No user with userDN[CN=test tester100,OU=People,OU=DAE,OU=chimera,O=U.S. Government,C=US] exists in DIAS Enterprise Connector"},"500":{"description":"Internal Server Error"}}}},"/snippets/templates":{"get":{"summary":"Get a listing of all templates in TEMPLATE_SNIPPETS_PATH and their parsed status.","operationId":"ListSnippetTemplates","description":"This is a template management endpoint that informs the user about the status of parsed status of templates.\n","responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ListTemplatesResponse"},"example":"{\n  \"LastParseTime\": \"Tue Jan 11 21:20:20 2022\",\n  \"Parsed\": [\n      \"/template-files/snippets/elasticsearch.tpl\",\n      \"/template-files/snippets/elasticsearch5.tpl\",\n      \"/template-files/snippets/mongo.tpl\"\n  ],\n  \"Unparsed\": [\n      \"/template-files/snippets/a_bad_test.tpl - template: a_bad_test.tpl:17: unexpected {{end}}\"\n  ]\n}\n"}}}}}},"/icmss/markings/acms":{"post":{"description":"Transforms an array of ACM Banner, Portion, or Title markings into an an array of ACMs.  The only required attribute is the Marking attribute which consists of any mixture of Banner, Title, or Portion markings in the form indicated in the ICMS 2013 Manual. This endpoint optionaly allows you to add ACM attributes that are not defined in ICMS 2013 but are part of the ACM.  That list incldues Share, Path, Cois, CoiControls, and Orgs. See the documentation of each of those types to understand how to use them. These banner markings are the same as what lives on an ACM in the `banner` and `portion` fields.","summary":"Transforms an array of ACM Banner, Portion, or Title markings into an an array of ACMs.","operationId":"ICMSMarkingsToAcms","requestBody":{"description":"An array of ACM Banner, Portion, or Title markings to transform into an array of ACMs","required":true,"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/MarkingToACM"}}}}},"responses":{"200":{"description":"successful operation. If the generated ACM has validation or other errors the ACM is null. Otherwise the returned ACM is valid. However it may have had \"ignored\" MAC values stripped out. In such a case these MAC values are in the Warnings list and the ACM is still valid.","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/MarkingToACMResponse"}}}}}}}},"/icmss/classifications":{"get":{"description":"This endpoint is part of a group of three API  endpoints (GET,POST,PUT icmss/classifications) that together support all the use cases needed to implement a \"Classification Picker\" like the CAPCO Picker Javascript control","summary":"Returns an array of MarkingsSection objects from the ICMS data dictionary for the user in the certificate. API users should call this endpoint when they wish to create a new ACM.  The aformentioned MarkingSections array consists of MarkingSection objects. The first MarkingSection in this array contains the Marking objects for Classification Types(US, JOINT, NON_US, NATO). US is the default. The second MarkingsSection is the Classification MarkingSection for US with the default set to \"U\", unclassified. The rest of the elements of the MarkingSections array correspond to the various sections on the existing Classification Picker.","operationId":"DefaultICMSPickerState","responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ICMSSClassificationsGetOrPutResponse"}}}},"404":{"description":"No user with userDN[CN=test tester100,OU=People,OU=DAE,OU=chimera,O=U.S. Government,C=US] exists in DIAS Enterprise Connector"}}},"put":{"description":"This endpoint is part of a group of three API  endpoints (GET,POST,PUT icmss/classifications) that together support all the use cases needed to implement a \"Classification Picker\" like the CAPCO Picker Javascript control","summary":"Returns an array of MarkingSection objects derived from an existing ACM. Use this API endpoint when modifying an existing classification for the first time. In response you will get the MarkingSections array that represents the given ACM.","operationId":"ACMICMSPickerState","requestBody":{"description":"","required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ACM"}}}},"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ICMSSClassificationsGetOrPutResponse"}}}},"404":{"description":"No user with userDN[CN=test tester100,OU=People,OU=DAE,OU=chimera,O=U.S. Government,C=US] exists in DIAS Enterprise Connector"}}},"patch":{"description":"This endpoint is part of a group of three API  endpoints (GET,POST,PUT icmss/classifications) that together support all the use cases needed to implement a \"Classification Picker\" like the CAPCO Picker Javascript control","summary":"Returns the next array of MarkingSection objects, its corresponding ACM, and any ACM validation errors. API users should call this endpoint for every Marking click where the user is \"Selecting\" a Marking object.","operationId":"NextSelectICMSPickerState","requestBody":{"description":"","required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ICMSSClassificationsPatchRequest"}}}},"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ICMSSClassificationsPatchResponse"}}}},"404":{"description":"No user with userDN[CN=test tester100,OU=People,OU=DAE,OU=chimera,O=U.S. Government,C=US] exists in DIAS Enterprise Connector"}}}},"/acms/policies":{"post":{"summary":"Given an ACM and a Policy Template Key produce a Rego policy from the ACM's flattened values.","operationId":"AcmPolicy","description":"This API endpoint produces a Rego policy that determines whether or not a user has access to the given ACM. The Rego policy is derived from a Golang template as described here, https://golangdocs.com/templates-in-golang. This template consists of two parts, a fixed part which enforces the access rules for the given ACM, and a variable part that allows user-defined templates for data stores other than Grey Matter Data. The optional TemplateKey parameter allows API users to refer to these other templates. The mapping between Templates and Keys is defined in AAC Application Configuration. This mechanism implies a fixed schema for both the User Access Object and the ACM as defined in the ACMPolicyRequest below and the User Access Object schema described by the '/userattributes' endpoint\n","parameters":[{"in":"query","name":"template","description":"the name of a template file in TEMPLATES_POLICIES_PATH","required":true,"schema":{"type":"string"},"example":"acm_check_access.tpl"}],"requestBody":{"description":"An Array of AccessTuples ","required":true,"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/AccessTuple"}},"example":"[\n  {\n    \"ACM\": {\n        \"version\": \"2.1.0\",\n        \"classif\": \"TS\",\n        \"classif_rank\": 5000,\n        \"sci_ctrls\": [\n            \"HCS\",\n            \"SI\",\n            \"TK\",\n            \"HCS-P\"\n        ],\n        \"rel_to\": [\n            \"USA\"\n        ],\n        \"dissem_ctrls\": [\n            \"OC\",\n            \"ORCON\",\n            \"EYES\",\n            \"NOFORN\"\n        ],\n        \"dissem_countries\": [\n            \"usa\",\n            \"irn\",\n            \"twn\",\n            \"ind\"\n        ],\n        \"special\": [\n            \"\"\n        ],\n        \"accms\": [\n            {\n                \"coi\": \"WHITE_ASH\",\n                \"disp_nm\": \"WHITE ASH\",\n                \"coi_ctrls\": []\n            }\n        ],\n        \"macs\": [\n            {\n                \"coi\": \"AUTOBOTS\",\n                \"disp_nm\": \"AUTOBOTS\",\n                \"coi_ctrls\": [\n                    {\n                        \"coi_ctrl\": \"OPTIMUS_PRIME\",\n                        \"disp_nm\": \"OPTIMUS PRIME\"\n                    },\n                    {\n                        \"coi_ctrl\": \"BUMBLEBEE\",\n                        \"disp_nm\": \"BUMBLEBEE\"\n                    },\n                    {\n                        \"coi_ctrl\": \"HOTROD\",\n                        \"disp_nm\": \"HOTROD\"\n                    },\n                    {\n                        \"coi_ctrl\": \"JAZZ\",\n                        \"disp_nm\": \"JAZZ\"\n                    },\n                    {\n                        \"coi_ctrl\": \"WHEELJACK\",\n                        \"disp_nm\": \"WHEELJACK\"\n                    }\n                ]\n            }\n        ],\n        \"share\": {\n            \"user\": [],\n            \"projects\": {\n                \"Fred\": {\n                    \"disp_nm\": \"TWL\",\n                    \"groups\": [\n                        \"admin\",\n                        \"user\"\n                    ]\n                },\n                \"Fred2\": {\n                    \"disp_nm\": \"ShareOwner\",\n                    \"groups\": [\n                        \"cnmingmaoudi2eou_s_governmentlalexandriastvirginiacus\"\n                    ]\n                },\n                \"Fred3\": {\n                    \"disp_nm\": \"ReversedShareOwner\",\n                    \"groups\": [\n                        \"cusstvirginialalexandriaou_s_governmentoudi2ecnmingma\"\n                    ]\n                }\n            }\n        },\n        \"f_clearance\": [\n            \"ts\"\n        ],\n        \"f_oc_org\": [\n            \"dia\"\n        ],\n        \"f_sci_ctrls\": [\n            \"si\",\n            \"tk\"\n        ],\n        \"f_missions\": [\n            \"twl\",\n            \"sidekick\"\n        ],\n        \"f_regions\": [\n            \"ny\"\n        ],\n        \"oc_attribs\": [\n            {\n                \"orgs\": [\n                    \"DHS\",\n                    \"FBI\",\n                    \"CIA\",\n                    \"DIA\"\n                ],\n                \"missions\": [\n                    \"mission2\"\n                ],\n                \"regions\": [\n                    \"region2\"\n                ]\n            }\n        ],\n        \"ownerproducer\": \"USA\",\n        \"pubdate\": \"2011-04-26T18:50:58Z\",\n        \"postdate\": \"2011-04-26T12:56:27Z\"\n    }\n  },\n  {\n    \"ACM\": {\n        \"version\": \"2.1.0\",\n        \"classif\": \"TS\",\n        \"classif_rank\": 5000,\n        \"sci_ctrls\": [\n            \"HCS\",\n            \"SI\",\n            \"TK\",\n            \"HCS-P\"\n        ],\n        \"relto\": [\n            \"Since query against dissem_countries ... nothing here now.\"\n        ],\n        \"dissem_ctrls\": [\n            \"OC\",\n            \"ORCON\",\n            \"EYES\",\n            \"NOFORN\"\n        ],\n        \"dissem_countries\": [\n            \"usa\",\n            \"irn\",\n            \"twn\",\n            \"ind\"\n        ],\n        \"special\": [\n            \"\"\n        ],\n        \"accms\": [\n            {\n                \"coi\": \"WHITE_ASH\",\n                \"disp_nm\": \"WHITE ASH\",\n                \"coi_ctrls\": []\n            }\n        ],\n        \"macs\": [\n            {\n                \"coi\": \"AUTOBOTS\",\n                \"disp_nm\": \"AUTOBOTS\",\n                \"coi_ctrls\": [\n                    {\n                        \"coi_ctrl\": \"OPTIMUS_PRIME\",\n                        \"disp_nm\": \"OPTIMUS PRIME\"\n                    },\n                    {\n                        \"coi_ctrl\": \"BUMBLEBEE\",\n                        \"disp_nm\": \"BUMBLEBEE\"\n                    },\n                    {\n                        \"coi_ctrl\": \"HOTROD\",\n                        \"disp_nm\": \"HOTROD\"\n                    },\n                    {\n                        \"coi_ctrl\": \"JAZZ\",\n                        \"disp_nm\": \"JAZZ\"\n                    },\n                    {\n                        \"coi_ctrl\": \"WHEELJACK\",\n                        \"disp_nm\": \"WHEELJACK\"\n                    }\n                ]\n            }\n        ],\n        \"share\": {\n            \"user\": [],\n            \"projects\": {\n                \"Fred\": {\n                    \"disp_nm\": \"TWL\",\n                    \"groups\": [\n                        \"admin\",\n                        \"user\"\n                    ]\n                },\n                \"Fred2\": {\n                    \"disp_nm\": \"ShareOwner\",\n                    \"groups\": [\n                        \"cnmingmaoudi2eou_s_governmentlalexandriastvirginiacus\"\n                    ]\n                },\n                \"Fred3\": {\n                    \"disp_nm\": \"ReversedShareOwner\",\n                    \"groups\": [\n                        \"cusstvirginialalexandriaou_s_governmentoudi2ecnmingma\"\n                    ]\n                }\n            }\n        },\n        \"f_clearance\": [\n            \"ts\"\n        ],\n        \"f_oc_org\": [\n            \"dia\"\n        ],\n        \"f_sci_ctrls\": [\n            \"si\",\n            \"tk\"\n        ],\n        \"f_missions\": [\n            \"twl\",\n            \"sidekick\"\n        ],\n        \"f_regions\": [\n            \"ny\"\n        ],\n        \"f_sar_id\": [\n            \"SAP-001\",\n            \"SAP-002\"\n        ],\n        \"oc_attribs\": [\n            {\n                \"orgs\": [\n                    \"DHS\",\n                    \"FBI\",\n                    \"CIA\",\n                    \"DIA\"\n                ],\n                \"missions\": [\n                    \"mission2\"\n                ],\n                \"regions\": [\n                    \"region2\"\n                ]\n            }\n        ],\n        \"ownerproducer\": \"USA\",\n        \"pubdate\": \"2011-04-26T18:50:58Z\",\n        \"postdate\": \"2011-04-26T12:56:27Z\"\n    }\n  }\n]\n"}}},"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ACMPolicy"}},"example":"[\n  {\n    \"Errors\": [],\n    \"ACM\": {\n        \"version\": \"2.1.0\",\n        \"classif_type\": \"US\",\n        \"classif\": \"TS\",\n        \"owner_prod\": null,\n        \"atom_energy\": null,\n        \"non_us_ctrls\": null,\n        \"sar_id\": null,\n        \"sci_ctrls\": [\n            \"HCS\",\n            \"SI\",\n            \"TK\",\n            \"HCS-P\"\n        ],\n        \"disponly_to\": null,\n        \"dissem_ctrls\": [\n            \"OC\",\n            \"ORCON\",\n            \"EYES\",\n            \"NOFORN\"\n        ],\n        \"non_ic\": null,\n        \"rel_to\": [\n            \"USA\"\n        ],\n        \"classif_rsn\": \"\",\n        \"classif_dt\": \"0001-01-01T00:00:00Z\",\n        \"classif_by\": \"\",\n        \"complies_with\": \"\",\n        \"ex_from_rollup\": false,\n        \"fgi_open\": null,\n        \"fgi_protect\": null,\n        \"declass_dt\": \"0001-01-01T00:00:00Z\",\n        \"declass_event\": \"\",\n        \"declass_ex\": \"\",\n        \"deriv_class_by\": \"\",\n        \"deriv_from\": \"\",\n        \"des_version\": \"\",\n        \"poc\": \"\",\n        \"notice_rsn\": \"\",\n        \"rsrc_elem\": false,\n        \"compil_rsn\": \"\",\n        \"portion\": \"\",\n        \"banner\": \"\",\n        \"dissem_countries\": [\n            \"usa\",\n            \"irn\",\n            \"twn\",\n            \"ind\"\n        ],\n        \"accms\": [\n            {\n                \"coi\": \"WHITE_ASH\",\n                \"disp_nm\": \"WHITE ASH\",\n                \"coi_ctrls\": []\n            }\n        ],\n        \"macs\": [\n            {\n                \"coi\": \"AUTOBOTS\",\n                \"disp_nm\": \"AUTOBOTS\",\n                \"coi_ctrls\": [\n                    {\n                        \"coi_ctrl\": \"OPTIMUS_PRIME\",\n                        \"disp_nm\": \"OPTIMUS PRIME\"\n                    },\n                    {\n                        \"coi_ctrl\": \"BUMBLEBEE\",\n                        \"disp_nm\": \"BUMBLEBEE\"\n                    },\n                    {\n                        \"coi_ctrl\": \"HOTROD\",\n                        \"disp_nm\": \"HOTROD\"\n                    },\n                    {\n                        \"coi_ctrl\": \"JAZZ\",\n                        \"disp_nm\": \"JAZZ\"\n                    },\n                    {\n                        \"coi_ctrl\": \"WHEELJACK\",\n                        \"disp_nm\": \"WHEELJACK\"\n                    }\n                ]\n            }\n        ],\n        \"oc_attribs\": [\n            {\n                \"orgs\": [\n                    \"DHS\",\n                    \"FBI\",\n                    \"CIA\",\n                    \"DIA\"\n                ],\n                \"missions\": [\n                    \"mission2\"\n                ],\n                \"regions\": [\n                    \"region2\"\n                ]\n            }\n        ],\n        \"share\": {\n            \"users\": null,\n            \"projects\": {\n                \"Fred\": {\n                    \"disp_nm\": \"TWL\",\n                    \"groups\": [\n                        \"admin\",\n                        \"user\"\n                    ]\n                },\n                \"Fred2\": {\n                    \"disp_nm\": \"ShareOwner\",\n                    \"groups\": [\n                        \"cnmingmaoudi2eou_s_governmentlalexandriastvirginiacus\"\n                    ]\n                },\n                \"Fred3\": {\n                    \"disp_nm\": \"ReversedShareOwner\",\n                    \"groups\": [\n                        \"cusstvirginialalexandriaou_s_governmentoudi2ecnmingma\"\n                    ]\n                }\n            }\n        },\n        \"f_clearance\": [\n            \"ts\"\n        ],\n        \"f_sci_ctrls\": [\n            \"hcs\",\n            \"hcs_p\",\n            \"si\",\n            \"tk\"\n        ],\n        \"f_accms\": [\n            \"white_ash\"\n        ],\n        \"f_oc_org\": [\n            \"cia\",\n            \"dhs\",\n            \"dia\",\n            \"dni\",\n            \"fbi\"\n        ],\n        \"f_regions\": [\n            \"region2\"\n        ],\n        \"f_missions\": [\n            \"mission2\"\n        ],\n        \"f_share\": [\n            \"reversedshareowner_cusstvirginialalexandriaou_s_governmentoudi2ecnmingma\",\n            \"shareowner_cnmingmaoudi2eou_s_governmentlalexandriastvirginiacus\",\n            \"twl_admin\",\n            \"twl_user\"\n        ],\n        \"f_sar_id\": [],\n        \"f_atom_energy\": [],\n        \"f_macs\": [\n            \"autobots\",\n            \"autobots_bumblebee\",\n            \"autobots_hotrod\",\n            \"autobots_jazz\",\n            \"autobots_optimus_prime\",\n            \"autobots_wheeljack\"\n        ],\n        \"disp_only\": false\n    },\n    \"Policy\": \"package policy\\n\\ndefault access = false\\n\\nintersection(a,b) {\\n    count({lower(x) | x := a[_]} & {lower(y) | y := b[_]}) > 0\\n}\\n\\ndifference(a,b) {\\n    count({lower(x) | x := a[_]} - {lower(y) | y := b[_]}) == 0\\n}\\n\\naccess {\\n    difference([\\\"white_ash\\\"], input.UserAO.f_accms)\\n    difference([\\\"autobots\\\", \\\"autobots_bumblebee\\\", \\\"autobots_hotrod\\\", \\\"autobots_jazz\\\", \\\"autobots_optimus_prime\\\", \\\"autobots_wheeljack\\\"], input.UserAO.f_macs)\\n    difference([\\\"hcs\\\", \\\"hcs_p\\\", \\\"si\\\", \\\"tk\\\"], input.UserAO.f_sci_ctrls)\\n    intersection([\\\"reversedshareowner_cusstvirginialalexandriaou_s_governmentoudi2ecnmingma\\\", \\\"shareowner_cnmingmaoudi2eou_s_governmentlalexandriastvirginiacus\\\", \\\"twl_admin\\\", \\\"twl_user\\\"], input.UserAO.f_share)\\n    intersection([\\\"ts\\\"], input.UserAO.f_clearance)\\n    intersection([\\\"cia\\\", \\\"dhs\\\", \\\"dia\\\", \\\"dni\\\", \\\"fbi\\\"], input.UserAO.f_oc_org)\\n    intersection([\\\"region2\\\"], input.UserAO.f_regions)\\n    intersection([\\\"usa\\\", \\\"irn\\\", \\\"twn\\\", \\\"ind\\\"], input.UserAO.dissem_countries)\\n}\"\n  },\n  {\n    \"Errors\": [\n        \"When dissem_ctrls is EYES you must include at least one Country in the rel_to field of the ACM.\",\n        \"AAC currently prohibits Special Access Controls(SAR) in an ACM.  This will change in a future release.\"\n    ],\n    \"ACM\": {\n        \"version\": \"2.1.0\",\n        \"classif_type\": \"US\",\n        \"classif\": \"TS\",\n        \"owner_prod\": null,\n        \"atom_energy\": null,\n        \"non_us_ctrls\": null,\n        \"sar_id\": null,\n        \"sci_ctrls\": [\n            \"HCS\",\n            \"SI\",\n            \"TK\",\n            \"HCS-P\"\n        ],\n        \"disponly_to\": null,\n        \"dissem_ctrls\": [\n            \"OC\",\n            \"ORCON\",\n            \"EYES\",\n            \"NOFORN\"\n        ],\n        \"non_ic\": null,\n        \"rel_to\": null,\n        \"classif_rsn\": \"\",\n        \"classif_dt\": \"0001-01-01T00:00:00Z\",\n        \"classif_by\": \"\",\n        \"complies_with\": \"\",\n        \"ex_from_rollup\": false,\n        \"fgi_open\": null,\n        \"fgi_protect\": null,\n        \"declass_dt\": \"0001-01-01T00:00:00Z\",\n        \"declass_event\": \"\",\n        \"declass_ex\": \"\",\n        \"deriv_class_by\": \"\",\n        \"deriv_from\": \"\",\n        \"des_version\": \"\",\n        \"poc\": \"\",\n        \"notice_rsn\": \"\",\n        \"rsrc_elem\": false,\n        \"compil_rsn\": \"\",\n        \"portion\": \"\",\n        \"banner\": \"\",\n        \"dissem_countries\": [\n            \"usa\",\n            \"irn\",\n            \"twn\",\n            \"ind\"\n        ],\n        \"accms\": [\n            {\n                \"coi\": \"WHITE_ASH\",\n                \"disp_nm\": \"WHITE ASH\",\n                \"coi_ctrls\": []\n            }\n        ],\n        \"macs\": [\n            {\n                \"coi\": \"AUTOBOTS\",\n                \"disp_nm\": \"AUTOBOTS\",\n                \"coi_ctrls\": [\n                    {\n                        \"coi_ctrl\": \"OPTIMUS_PRIME\",\n                        \"disp_nm\": \"OPTIMUS PRIME\"\n                    },\n                    {\n                        \"coi_ctrl\": \"BUMBLEBEE\",\n                        \"disp_nm\": \"BUMBLEBEE\"\n                    },\n                    {\n                        \"coi_ctrl\": \"HOTROD\",\n                        \"disp_nm\": \"HOTROD\"\n                    },\n                    {\n                        \"coi_ctrl\": \"JAZZ\",\n                        \"disp_nm\": \"JAZZ\"\n                    },\n                    {\n                        \"coi_ctrl\": \"WHEELJACK\",\n                        \"disp_nm\": \"WHEELJACK\"\n                    }\n                ]\n            }\n        ],\n        \"oc_attribs\": [\n            {\n                \"orgs\": [\n                    \"DHS\",\n                    \"FBI\",\n                    \"CIA\",\n                    \"DIA\"\n                ],\n                \"missions\": [\n                    \"mission2\"\n                ],\n                \"regions\": [\n                    \"region2\"\n                ]\n            }\n        ],\n        \"share\": {\n            \"users\": null,\n            \"projects\": {\n                \"Fred\": {\n                    \"disp_nm\": \"TWL\",\n                    \"groups\": [\n                        \"admin\",\n                        \"user\"\n                    ]\n                },\n                \"Fred2\": {\n                    \"disp_nm\": \"ShareOwner\",\n                    \"groups\": [\n                        \"cnmingmaoudi2eou_s_governmentlalexandriastvirginiacus\"\n                    ]\n                },\n                \"Fred3\": {\n                    \"disp_nm\": \"ReversedShareOwner\",\n                    \"groups\": [\n                        \"cusstvirginialalexandriaou_s_governmentoudi2ecnmingma\"\n                    ]\n                }\n            }\n        },\n        \"f_clearance\": [\n            \"ts\"\n        ],\n        \"f_sci_ctrls\": [\n            \"hcs\",\n            \"hcs_p\",\n            \"si\",\n            \"tk\"\n        ],\n        \"f_accms\": [\n            \"white_ash\"\n        ],\n        \"f_oc_org\": [\n            \"cia\",\n            \"dhs\",\n            \"dia\",\n            \"dni\",\n            \"fbi\"\n        ],\n        \"f_regions\": [\n            \"region2\"\n        ],\n        \"f_missions\": [\n            \"mission2\"\n        ],\n        \"f_share\": [\n            \"reversedshareowner_cusstvirginialalexandriaou_s_governmentoudi2ecnmingma\",\n            \"shareowner_cnmingmaoudi2eou_s_governmentlalexandriastvirginiacus\",\n            \"twl_admin\",\n            \"twl_user\"\n        ],\n        \"f_sar_id\": [],\n        \"f_atom_energy\": [],\n        \"f_macs\": [\n            \"autobots\",\n            \"autobots_bumblebee\",\n            \"autobots_hotrod\",\n            \"autobots_jazz\",\n            \"autobots_optimus_prime\",\n            \"autobots_wheeljack\"\n        ],\n        \"disp_only\": false\n    },\n    \"Policy\": \"package policy\\n\\ndefault access = false\\n\\nintersection(a,b) {\\n    count({lower(x) | x := a[_]} & {lower(y) | y := b[_]}) > 0\\n}\\n\\ndifference(a,b) {\\n    count({lower(x) | x := a[_]} - {lower(y) | y := b[_]}) == 0\\n}\\n\\naccess {\\n    difference([\\\"white_ash\\\"], input.UserAO.f_accms)\\n    difference([\\\"autobots\\\", \\\"autobots_bumblebee\\\", \\\"autobots_hotrod\\\", \\\"autobots_jazz\\\", \\\"autobots_optimus_prime\\\", \\\"autobots_wheeljack\\\"], input.UserAO.f_macs)\\n    difference([\\\"hcs\\\", \\\"hcs_p\\\", \\\"si\\\", \\\"tk\\\"], input.UserAO.f_sci_ctrls)\\n    intersection([\\\"reversedshareowner_cusstvirginialalexandriaou_s_governmentoudi2ecnmingma\\\", \\\"shareowner_cnmingmaoudi2eou_s_governmentlalexandriastvirginiacus\\\", \\\"twl_admin\\\", \\\"twl_user\\\"], input.UserAO.f_share)\\n    intersection([\\\"ts\\\"], input.UserAO.f_clearance)\\n    intersection([\\\"cia\\\", \\\"dhs\\\", \\\"dia\\\", \\\"dni\\\", \\\"fbi\\\"], input.UserAO.f_oc_org)\\n    intersection([\\\"region2\\\"], input.UserAO.f_regions)\\n    intersection([\\\"usa\\\", \\\"irn\\\", \\\"twn\\\", \\\"ind\\\"], input.UserAO.dissem_countries)\\n}\"\n  }\n]\n"}}},"404":{"description":"\\`template\\` URL Query Parameter must be supplied in the request"}}}},"/acms/policies/templates":{"get":{"summary":"Get a listing of all templates in TEMPLATE_POLICIES_PATH and their parsed status","operationId":"ListPolicyTemplates","description":"This is a template management endpoint that informs the user about the status of parsed status of templates.\n","responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ListTemplatesResponse"},"example":"{\n  \"LastParseTime\": \"Tue Jan 11 23:48:21 2022\",\n  \"Parsed\": [\n      \"/template-files/policies/acm_check_access.tpl\",\n      \"/template-files/policies/acm_check_access_mike.tpl\",\n      \"/template-files/policies/acm_gm_data_access.tpl\",\n      \"/template-files/policies/acm_gm_data_access_mike.tpl\"\n  ],\n  \"Unparsed\": [\n      \"/template-files/policies/test_bad.tpl - template: test_bad.tpl:14: unexpected \\\"}\\\" in operand\"\n  ]\n}\n"}}}}}},"/acms/redact":{"post":{"summary":"Given a canonical source ACM determine whether or not each ACM in the given list of ACMs falls within the access controls of the given source ACM.","operationId":"RedactACMs","description":"Given a canonical source ACM, examine each ACM in the list of candidate ACMs and determine whether or not each falls within the access controls of the canonical source ACM. The canonical source ACM gets validated first. And only if it passes validation are the candidate ACMs examined. Each candidate ACM is also validated. A candidate ACM is redacted if it fails validation or is not within the access controls of the canonical source ACM.  The array in the resulting response is in the exact order as the candidate array of ACMs, thus allowing users of the API to correlate the input ACMs line-by-line with the output ACMs. Each resulting ACM also contains its newly-calculated \"flattened\" attributes and a string array of errors which is either empty or contains validation errors, the empty case signifying that the ACM is valid.\n","requestBody":{"description":"A canonical source ACM and an array of candidate ACMs","required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RedactACMsRequest"}}}},"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RedactACMsResponse"}}}}}}},"/acms/validations":{"post":{"summary":"Validates a list of ACMs.","operationId":"ValidateAndDenormalizeACMs","description":"Validate a list of ACMs. The array in the resulting response is in the exact same order as the input array of ACMs, thus allowing users of the API to correlate the input ACMs line-by-line with the output ACMs. Each resulting ACM also contains its newly-calculated \"flattened\" attributes and a string array of errors which is either empty or contains validation errors, the empty case signifying that the ACM is valid.\n","requestBody":{"description":"An Array of AccessTuples","required":true,"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/AccessTuple"}}}}},"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/AcmValidateResponse"}}}}},"404":{"description":"No user with userDN[CN=test tester100,OU=People,OU=DAE,OU=chimera,O=U.S. Government,C=US] exists in DIAS Enterprise Connector"}}}},"/acms/rollup":{"post":{"summary":"Rollup a list of ACMs","operationId":"RollupACMs","description":"This endpoint takes a list of ACMs and combines them into a single ACM, reporting whether or not the user in the UserDN header has access to this new merged ACM.  If the entire list of ACMs is valid and the CheckAccess flag is true, it performs an access check for the new rolled-up ACM using the user given in the header. Otherwise it just validates the list of ACMs and does not check whether or not the user making the request has access to the Rolled Up ACM. An empty Errors attribute indicates that the user has access to the Rollup ACM.\n","requestBody":{"description":"An Array of AccessTuples to rollup into a single ACM","required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RollupACMsRequest"}}}},"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/RollupACMsResponse"}}}}},"404":{"description":"No user with userDN[CN=test tester100,OU=People,OU=DAE,OU=chimera,O=U.S. Government,C=US] exists in DIAS Enterprise Connector"}}}}},"components":{"schemas":{"Access":{"type":"object","properties":{"HasAccess":{"type":"boolean"},"AccessErrors":{"type":"array","items":{"type":"string"}}}},"AccessTuple":{"type":"object","required":["ACM"],"properties":{"Path":{"type":"string","example":"afrf-rfer-1234-afxv-sfhg","description":"A user-defined string that get's returned back to the user. The API always returns the list of ACMTuples in the same order that they are recieved in the HTTP Request so this field is simply an additional way to make it convenient for users of the API. It remains here to support backwards compatibility with the old AAC. Now, as it was in the old AAC, there are no guarantees that it is unique or anything else.  It's just a piece of extra data on the API HTTP request for each ACM that get's returned back to the user."},"ACM":{"$ref":"#/components/schemas/ACM"}}},"ACM":{"type":"object","required":["version","classif"],"properties":{"version":{"type":"string","example":"2.1.0"},"classif":{"type":"string","example":"S"},"classif_type":{"type":"string","description":"The type of classification. Either US, JOINT, NATO, or NON-US. Defaults to US","example":"US"},"owner_prod":{"type":"array","example":["FRA","AUT"],"items":{"type":"string"}},"atom_energy":{"type":"array","example":["DOE UCNI","RD","TFNI"],"items":{"type":"string"}},"non_us_ctrls":{"type":"array","items":{"type":"string"},"example":["non1","non2"]},"sar_id":{"type":"array","items":{"type":"string"},"example":["SAR-1"]},"sci_ctrls":{"type":"array","items":{"type":"string"},"example":["HCS"]},"disponly_to":{"type":"array","items":{"type":"string"},"example":["GBR","ITA"]},"dissem_ctrls":{"type":"array","items":{"type":"string"},"example":["ORCON","NOFORN"]},"non_ic":{"type":"array","example":["EXDIS"],"items":{"type":"string"}},"rel_to":{"type":"array","example":["BEL","FRA"],"items":{"type":"string"}},"classif_rsn":{"type":"string","example":"1.4 (A)"},"classif_dt":{"type":"string","example":"2020-11-22T12:59:27.971819-05:00"},"classif_by":{"type":"string","example":"634397"},"complies_with":{"type":"string","example":"complies with value whatever"},"ex_from_rollup":{"type":"boolean","example":true},"fgi_open":{"type":"array","items":{"type":"string"},"example":["USA","FRA"]},"fgi_protect":{"type":"array","items":{"type":"string"},"example":["USA","FRA"]},"declass_dt":{"type":"string","example":"2020-11-22T12:59:27.971819-05:00"},"declass_event":{"type":"string","example":"expired as per us congress"},"declass_ex":{"type":"string","example":"expired as per us congress"},"deriv_class_by":{"type":"string","example":"n/a"},"deriv_from":{"type":"string","example":"n/a"},"des_version":{"type":"string","example":"n/a"},"poc":{"type":"string","example":"ed frank"},"notice_rsn":{"type":"string","example":"n/a"},"rsrc_elem":{"type":"boolean","example":false},"compil_rsn":{"example":"n/a","type":"string"},"portion":{"type":"string","example":"S//OC"},"banner":{"type":"string","example":"SECRET//ORCON"},"dissem_countries":{"type":"array","items":{"type":"string"},"example":["USA","FRA"]},"accms":{"type":"array","items":{"$ref":"#/components/schemas/Coi"}},"macs":{"type":"array","items":{"$ref":"#/components/schemas/Coi"}},"oc_attribs":{"type":"array","items":{"$ref":"#/components/schemas/OcAttrib"}},"share":{"$ref":"#/components/schemas/ACMShare"},"f_clearance":{"type":"array","items":{"type":"string"}},"f_sci_ctrls":{"type":"array","items":{"type":"string"}},"f_accms":{"type":"array","items":{"type":"string"}},"f_macs":{"type":"array","items":{"type":"string"}},"f_oc_org":{"type":"array","items":{"type":"string"}},"f_regions":{"type":"array","items":{"type":"string"}},"f_missions":{"type":"array","items":{"type":"string"}},"f_share":{"type":"array","items":{"type":"string"}},"f_sar_id":{"type":"array","items":{"type":"string"}},"f_atom_energy":{"type":"array","items":{"type":"string"}},"disp_only":{"type":"boolean"}}},"AcmHasAccessResponse":{"type":"object","properties":{"Errors":{"$ref":"#/components/schemas/HasAccessError"},"ACM":{"$ref":"#/components/schemas/ACM"},"Path":{"type":"string"}}},"ACMPolicy":{"type":"object","required":["ACM","Policy","Errors"],"properties":{"Policy":{"type":"string","example":"\"package policy\\n\\ndefault access = false\\n\\nintersection(a,b) {\\n    count({lower(x) | x := a[_]} & {lower(y) | y := b[_]}) > 0\\n}\\n\\ndifference(a,b) {\\n    count({lower(x) | x := a[_]} - {lower(y) | y := b[_]}) == 0\\n}\\n\\naccess {\\n    difference([\\\"white_ash\\\"], input.UserAO.f_accms)\\n    difference([\\\"autobots\\\", \\\"autobots_bumblebee\\\", \\\"autobots_hotrod\\\", \\\"autobots_jazz\\\", \\\"autobots_optimus_prime\\\", \\\"autobots_wheeljack\\\"], input.UserAO.f_macs)\\n    difference([\\\"hcs\\\", \\\"hcs_p\\\", \\\"si\\\", \\\"tk\\\"], input.UserAO.f_sci_ctrls)\\n    intersection([\\\"reversedshareowner_cusstvirginialalexandriaou_s_governmentoudi2ecnmingma\\\", \\\"shareowner_cnmingmaoudi2eou_s_governmentlalexandriastvirginiacus\\\", \\\"twl_admin\\\", \\\"twl_user\\\"], input.UserAO.f_share)\\n    intersection([\\\"ts\\\"], input.UserAO.f_clearance)\\n    intersection([\\\"cia\\\", \\\"dhs\\\", \\\"dia\\\", \\\"dni\\\", \\\"fbi\\\"], input.UserAO.f_oc_org)\\n    intersection([\\\"region2\\\"], input.UserAO.f_regions)\\n    intersection([\\\"usa\\\", \\\"irn\\\", \\\"twn\\\", \\\"ind\\\"], input.UserAO.dissem_countries)\\n}\"\n"},"Errors":{"description":"An array of error messages, either ACM validation errors or template errors.","type":"array","items":{"type":"string"},"example":["AAC currently prohibits Special Access Controls(SAR) in an ACM.  This will change in a future release."]},"ACM":{"$ref":"#/components/schemas/ACM"}}},"ACMProject":{"type":"object","required":["disp_nm","groups"],"properties":{"disp_nm":{"type":"string","example":"Bedrock"},"groups":{"type":"array","items":{"type":"string"},"example":["CTKB_CMS_ADMINISTRATOR","ADMIN1","ADMIN2"]}}},"ACMResponse":{"type":"object","required":["Errors","ACM"],"properties":{"Errors":{"type":"array","description":"A non-empty array indicates a valid ACM.","example":["AAC currently prohibits Atomic Energy Controls in an ACM.  This will change in a future release.","Marking NONIC_NODIS and/or NONIC_EXDIS require the marking DISSEM_NOFORN.","f_macs - mac1","f_macs - mac1_c1","f_macs - mac1_c3"],"items":{"type":"string"}},"ACM":{"$ref":"#/components/schemas/ACM"}}},"ACMShare":{"type":"object","required":["users","projects"],"properties":{"users":{"type":"array","example":["CN=test%20tester10,OU=People,OU=DAE,OU=chimera,O=U.S.%20Government,C=US","CN=test%20tester02,OU=People,OU=DAE,OU=chimera,O=U.S.%20Government,C=US"],"items":{"type":"string"}},"projects":{"type":"object","example":{"Chimera":{"disp_nm":"Chimera","groups":["chimera"]},"DCTC":{"disp_nm":"DCTC","groups":["ODrive","ODrive_G1","plexus_viridian_viewers"]}},"additionalProperties":{"$ref":"#/components/schemas/ACMProject"}}}},"AcmValidateResponse":{"type":"object","required":["Errors","AccessTuple","Path"],"properties":{"Errors":{"type":"array","description":"A non-empty array indicates a valid ACM.","example":["AAC currently prohibits Atomic Energy Controls in an ACM.  This will change in a future release.","Marking NONIC_NODIS and/or NONIC_EXDIS require the marking DISSEM_NOFORN.","f_macs - mac1","f_macs - mac1_c1","f_macs - mac1_c3"],"items":{"type":"string"}},"AccessTuple":{"$ref":"#/components/schemas/AccessTuple"}}},"AsIsAndNegate":{"type":"object","required":["as_is","negate"],"properties":{"as_is":{"type":"array","items":{"type":"string"}},"negate":{"type":"array","items":{"type":"string"}}}},"CacheMetaData":{"type":"object","required":["ConfiguredCacheType","ActiveCacheType","UserTTL","CurrentL1CacheBytes","MaxL1CacheBytes","Size","Keys"],"properties":{"ConfiguredCacheType":{"type":"string","example":"Redis"},"ActiveCacheType":{"type":"string","example":"L1"},"UserTTL":{"type":"string","example":"60s"},"CurrrentL1CacheBytes":{"type":"number","example":860000},"MaxL1CacheBytes":{"type":"number","example":10000000},"Size":{"type":"number","example":6},"Keys":{"type":"array","example":["cn=test tester02,ou=people,ou=dae,ou=chimera,o=u.s. government,c=us","cn=test tester04,ou=people,ou=dae,ou=chimera,o=u.s. government,c=us","cn=test tester05,ou=people,ou=dae,ou=chimera,o=u.s. government,c=us","cn=test tester07,ou=people,ou=dae,ou=chimera,o=u.s. government,c=us","cn=test tester09,ou=people,ou=dae,ou=chimera,o=u.s. government,c=us","cn=test tester10,ou=people,ou=dae,ou=chimera,o=u.s. government,c=us"],"items":{"type":"string"}}}},"Coi":{"type":"object","required":["coi","disp_nm"],"properties":{"coi":{"type":"string","example":"AUTOBOTS"},"disp_nm":{"type":"string","example":"AUTOBOTS"},"coi_ctrls":{"type":"array","items":{"$ref":"#/components/schemas/CoiCtrl"}}}},"CoiCtrl":{"type":"object","required":["coi_ctrl","disp_nm"],"properties":{"coi_ctrl":{"type":"string","example":"OPTIMUS_PRIME"},"disp_nm":{"type":"string","example":"OPTIMUS PRIME"}}},"DIASUserGroups":{"type":"object","required":["projectName","groupNames"],"properties":{"projectName":{"type":"string","example":"Focal Point"},"groupNames":{"type":"array","example":["AMERICAN_BEECH","BALSAM_FIR","BLACK_ASH"],"items":{"type":"string"}}}},"GimmeeAttributes":{"type":"object","required":["organization","topic","region","groups","isAICP"],"properties":{"organization":{"type":"string","example":"DIA"},"topic":{"type":"array","example":["Horses","Cows","Goats"],"items":{"type":"string"}},"region":{"type":"array","example":["Southeast","Northeast","Washington Metro"],"items":{"type":"string"}},"groups":{"type":"array","example":["musicians","libertarians","liberals"],"items":{"type":"string"}},"isAICP":{"type":"boolean","example":false},"communityType":{"type":"string"},"organizationalPath":{"type":"string"}}},"HasAccessError":{"type":"object","description":"This is a sum type meaning that it is either null or not null.","properties":{"Validation":{"type":"array","description":"The list of validation errors for each ACM(AccessTuple). These are in the same order as the input AccessTuple list. A null value indicates there are no validation errors.","example":["AAC currently prohibits Atomic Energy Controls in an ACM.  This will change in a future release.","Marking NONIC_NODIS and/or NONIC_EXDIS require the marking DISSEM_NOFORN.","f_macs - mac1","f_macs - mac1_c1","f_macs - mac1_c3"],"items":{"type":"string"}},"Access":{"type":"array","description":"The list of access errors for the ACM(s) being evaluated for access by a given user. A null value indicates the given user has access to the ACM.","example":["Must have at least one Oc Org from list: dni "],"items":{"type":"string"}}}},"ICMSSClassificationsGetOrPutResponse":{"description":"This is a sum type. If there are no errors you get the array of MarkingSections and a null Errors attribute. If there are errors you get a null MarkingSections array and a non-empty Errors attribute.","type":"object","properties":{"Errors":{"type":"array","example":["You do not have access to SI-G"],"items":{"type":"string"}},"MarkingSections":{"type":"array","items":{"$ref":"#/components/schemas/MarkingSection"}}}},"ICMSSClassificationsPatchResponse":{"type":"object","description":"This is a sum type. You either get back a non-null MarkingSections array and its analagous ACM or an array of validation errors.","required":["ACM","Errors","MarkingSections"],"properties":{"ACM":{"$ref":"#/components/schemas/ACM"},"Errors":{"type":"array","example":["Must have a country other than USA in the REL TO list"],"items":{"type":"string"}},"MarkingSections":{"type":"array","items":{"$ref":"#/components/schemas/MarkingSection"}}}},"ICMSSClassificationsPatchRequest":{"type":"object","required":["ClassificationType","Classification","SelectedMarkings"],"properties":{"ClassificationType":{"type":"string","example":"one of [\"JOINT\",\"US\",\"NON-US\",\"NATO\"]"},"Classification":{"type":"string","example":"one of [\"TS\",\"S\",\"C\",\"R\",\"U\"]"},"SelectedMarkings":{"type":"array","items":{"$ref":"#/components/schemas/SelectedMarking"}}}},"LegacyUserObject":{"type":"object","required":["success","messages","userAttributes"],"properties":{"success":{"type":"boolean"},"messages":{"type":"array","items":{"type":"string"},"example":["requirement failed: userToken is required"]},"userAttributes":{"type":"string","example":"{\n  \"userDN\": \"cn=test tester06,ou=people,ou=dae,ou=chimera,o=u.s. government,c=us\",\n  \"diasUserGroups\": {\n    \"projects\": [\n      {\n        \"projectName\": \"Focal Point\",\n        \"groupNames\": [\n          \"BALSAM_FIR\",\n          \"BIGTOOTH_ASPEN\",\n          \"BLACK_LOCUST\",\n          \"BLACK_OAK\",\n          \"CHESTNUT_OAK\",\n          \"EASTERN_HEMLOCK\",\n          \"QUAKING_ASPEN\",\n          \"SILVER_MAPLE\",\n          \"SLIPPERY_ELM\",\n          \"TULIP_TREE\",\n          \"WHITE_ASH\"\n        ]\n      },\n      {\n        \"projectName\": \"ICF_AMS_DEV\",\n        \"groupNames\": [\n          \"branch_chief\",\n          \"dcs_ops\",\n          \"division_chief\",\n          \"general_user\"\n        ]\n      },\n      {\n        \"projectName\": \"DCTC\",\n        \"groupNames\": [\n          \"ODrive\",\n          \"ODrive_G1\",\n          \"WATCHDOG_USER\"\n        ]\n      },\n      {\n        \"projectName\": \"career-explorer\",\n        \"groupNames\": [\n          \"user\"\n        ]\n      },\n      {\n        \"projectName\": \"Chimera\",\n        \"groupNames\": [\n          \"chimera\",\n          \"df_01\",\n          \"df_02\",\n          \"df_03\",\n          \"era_audit\",\n          \"era_oversight\",\n          \"era_rest\",\n          \"era_rest_admin\",\n          \"inquire_qb\",\n          \"inquire_rd_ha\",\n          \"plexus_crimson_users\",\n          \"plexus_crimson_viewers\",\n          \"plexus_dragon_users\",\n          \"plexus_dragon_viewers\",\n          \"plexus_dreadwing_users\",\n          \"plexus_dreadwing_viewers\",\n          \"plexus_firebird_users\",\n          \"plexus_firebird_viewers\",\n          \"plexus_gorgon_users\",\n          \"plexus_gorgon_viewers\",\n          \"plexus_hunter_users\",\n          \"plexus_hunter_viewers\",\n          \"plexus_junkyard_users\",\n          \"plexus_junkyard_viewers\",\n          \"plexus_mako_users\",\n          \"plexus_mako_viewers\",\n          \"plexus_simpsons_users\",\n          \"plexus_simpsons_viewers\",\n          \"plexus_spectrum_users\",\n          \"plexus_spectrum_viewers\",\n          \"plexus_titan_users\",\n          \"plexus_titan_viewers\",\n          \"plexus_viridian_users\",\n          \"plexus_viridian_viewers\",\n          \"sri_blue\",\n          \"srv_user_admin\"\n        ]\n      },\n      {\n        \"projectName\": \"Bedrock\",\n        \"groupNames\": [\n          \"CTKB_CMS_WFC\",\n          \"DOCTRACKER_USER\"\n        ]\n      },\n      {\n        \"projectName\": \"icebreaker\",\n        \"groupNames\": [\n          \"icebreaker-analyst\",\n          \"icebreaker-dia\"\n        ]\n      }\n    ]\n  },\n  `\"whitePageAttributes\": {\n    \"firstName\": \"tester06\",\n    \"surName\": \"test\",\n    \"uid\": \"D12345-2\",\n    \"companyName\": \"\",\n    \"telephoneNumber\": \"123-123-1234 1234\",\n    \"icEMail\": \"test.tester06@ic.com\",\n    \"siprnetEmail\": \"test.tester06@sipr.com\",\n    \"niprnetEmail\": \"test.tester06@nipr.com\"\n  },\n  \"userClearance\": {\n    \"clearance\": \"TS\",\n    \"clearanceRank\": 0,\n    \"citizenship\": \"USA\",\n    \"formalAccess\": [\n      \"SI\",\n      \"TK\"\n    ]\n  },\n  \"gimmeeAttributes\": {\n    \"organization\": \"\",\n    \"topic\": null,\n    \"region\": null,\n    \"groups\": null,\n    \"isAICP\": false,\n    \"communityType\": \"\",\n    \"organizationalPath\": \"\"\n  },\n  \"adminOrg\": \"\",\n  \"dutyOrg\": \"DIA\",\n  \"nShare\": {\n    \"Bedrock\": [\n      \"CTKB_CMS_WFC\",\n      \"DOCTRACKER_USER\"\n    ],\n    \"Chimera\": [\n      \"chimera\",\n      \"era_audit\",\n      \"era_oversight\",\n      \"era_rest\",\n      \"era_rest_admin\",\n      \"inquire_qb\",\n      \"inquire_rd_ha\",\n      \"plexus_crimson_users\",\n      \"plexus_crimson_viewers\",\n      \"plexus_dragon_users\",\n      \"plexus_dragon_viewers\",\n      \"plexus_dreadwing_users\",\n      \"plexus_dreadwing_viewers\",\n      \"plexus_firebird_users\",\n      \"plexus_firebird_viewers\",\n      \"plexus_gorgon_users\",\n      \"plexus_gorgon_viewers\",\n      \"plexus_hunter_users\",\n      \"plexus_hunter_viewers\",\n      \"plexus_junkyard_users\",\n      \"plexus_junkyard_viewers\",\n      \"plexus_mako_users\",\n      \"plexus_mako_viewers\",\n      \"plexus_simpsons_users\",\n      \"plexus_simpsons_viewers\",\n      \"plexus_spectrum_users\",\n      \"plexus_spectrum_viewers\",\n      \"plexus_titan_users\",\n      \"plexus_titan_viewers\",\n      \"plexus_viridian_users\",\n      \"plexus_viridian_viewers\",\n      \"sri_blue\",\n      \"srv_user_admin\"\n    ],\n    \"DCTC\": [\n      \"ODrive\",\n      \"ODrive_G1\",\n      \"WATCHDOG_USER\"\n    ],\n    \"ICF_AMS_DEV\": [\n      \"branch_chief\",\n      \"dcs_ops\",\n      \"division_chief\",\n      \"general_user\"\n    ],\n    \"career_explorer\": [\n      \"user\"\n    ],\n    \"icebreaker\": [\n      \"icebreaker_analyst\",\n      \"icebreaker_dia\"\n    ]\n  },\n  \"nMacs\": [\n    {\n      \"coi\": \"df_01\",\n      \"disp_nm\": \"df 01\",\n      \"coi_ctrls\": [\n\n      ]\n    },\n    {\n      \"coi\": \"df_02\",\n      \"disp_nm\": \"df 02\",\n      \"coi_ctrls\": [\n\n      ]\n    },\n    {\n      \"coi\": \"df_03\",\n      \"disp_nm\": \"df 03\",\n      \"coi_ctrls\": [\n\n      ]\n    }\n  ],\n  \"nAccms\": [\n    {\n      \"coi\": \"BALSAM_FIR\",\n      \"disp_nm\": \"BALSAM FIR\",\n      \"coi_ctrls\": [\n\n      ]\n    },\n    {\n      \"coi\": \"BIGTOOTH_ASPEN\",\n      \"disp_nm\": \"BIGTOOTH ASPEN\",\n      \"coi_ctrls\": [\n\n      ]\n    },\n    {\n      \"coi\": \"BLACK_LOCUST\",\n      \"disp_nm\": \"BLACK LOCUST\",\n      \"coi_ctrls\": [\n\n      ]\n    },\n    {\n      \"coi\": \"BLACK_OAK\",\n      \"disp_nm\": \"BLACK OAK\",\n      \"coi_ctrls\": [\n\n      ]\n    },\n    {\n      \"coi\": \"CHESTNUT_OAK\",\n      \"disp_nm\": \"CHESTNUT OAK\",\n      \"coi_ctrls\": [\n\n      ]\n    },\n    {\n      \"coi\": \"EASTERN_HEMLOCK\",\n      \"disp_nm\": \"EASTERN HEMLOCK\",\n      \"coi_ctrls\": [\n\n      ]\n    },\n    {\n      \"coi\": \"QUAKING_ASPEN\",\n      \"disp_nm\": \"QUAKING ASPEN\",\n      \"coi_ctrls\": [\n\n      ]\n    },\n    {\n      \"coi\": \"SILVER_MAPLE\",\n      \"disp_nm\": \"SILVER MAPLE\",\n      \"coi_ctrls\": [\n\n      ]\n    },\n    {\n      \"coi\": \"SLIPPERY_ELM\",\n      \"disp_nm\": \"SLIPPERY ELM\",\n      \"coi_ctrls\": [\n\n      ]\n    },\n    {\n      \"coi\": \"TULIP_TREE\",\n      \"disp_nm\": \"TULIP TREE\",\n      \"coi_ctrls\": [\n\n      ]\n    },\n    {\n      \"coi\": \"WHITE_ASH\",\n      \"disp_nm\": \"WHITE ASH\",\n      \"coi_ctrls\": [\n\n      ]\n    }\n  ],\n  \"nFormalAccess\": [\n    \"SI\",\n    \"TK\"\n  ],\n  \"f_macs\": {\n    \"negate\": [\n      \"autobots\",\n      \"autobots_bumblebee\",\n      \"autobots_hotrod\",\n      \"autobots_ironhide\",\n      \"autobots_jazz\",\n      \"autobots_optimus_prime\",\n      \"autobots_red_alert\",\n      \"autobots_wheeljack\",\n      \"bir\",\n      \"cir_a1\",\n      \"cir_a2\",\n      \"cir_a3\",\n      \"dea\",\n      \"discepticon\",\n      \"discepticon_full_tilt\",\n      \"discepticon_megaton\",\n      \"discepticon_shockwave\",\n      \"discepticon_starscream\",\n      \"dr_a1\",\n      \"lampshade\",\n      \"lampshade_blue\",\n      \"lampshade_brown\",\n      \"lampshade_purple\",\n      \"lightspeed\",\n      \"mac_unknown\",\n      \"telcom\",\n      \"tide\",\n      \"usp_ii\",\n      \"watchdog\",\n      \"wires\"\n    ],\n    \"as_is\": [\n      \"df_01\",\n      \"df_02\",\n      \"df_03\"\n    ]\n  },\n  \"f_oc_org\": {\n    \"as_is\": [\n      \"\"\n    ]\n  },\n  \"f_accms\": {\n    \"negate\": [\n      \"accm_unknown\",\n      \"american_beech\",\n      \"american_chestnut\",\n      \"bitternut_hickory\",\n      \"black_ash\",\n      \"black_cherry\",\n      \"cucumber_tree\",\n      \"paper_birch\",\n      \"red_spruce\",\n      \"scarlet_oak\",\n      \"yellow_birch\"\n    ],\n    \"as_is\": [\n      \"balsam_fir\",\n      \"bigtooth_aspen\",\n      \"black_locust\",\n      \"black_oak\",\n      \"chestnut_oak\",\n      \"eastern_hemlock\",\n      \"quaking_aspen\",\n      \"silver_maple\",\n      \"slippery_elm\",\n      \"spider_man\",\n      \"tulip_tree\",\n      \"white_ash\"\n    ]\n  },\n  \"f_clearance\": {\n    \"as_is\": [\n      \"c\",\n      \"r\",\n      \"s\",\n      \"ts\",\n      \"u\"\n    ]\n  },\n  \"f_regions\": {\n    \"as_is\": [\n\n    ]\n  },\n  \"f_missions\": {\n    \"as_is\": [\n\n    ]\n  },\n  \"f_share\": {\n    \"as_is\": [\n      \"bedrock_ctkb_cms_wfc\",\n      \"bedrock_doctracker_user\",\n      \"career_explorer_user\",\n      \"chimera_chimera\",\n      \"chimera_era_audit\",\n      \"chimera_era_oversight\",\n      \"chimera_era_rest\",\n      \"chimera_era_rest_admin\",\n      \"chimera_inquire_qb\",\n      \"chimera_inquire_rd_ha\",\n      \"chimera_plexus_crimson_users\",\n      \"chimera_plexus_crimson_viewers\",\n      \"chimera_plexus_dragon_users\",\n      \"chimera_plexus_dragon_viewers\",\n      \"chimera_plexus_dreadwing_users\",\n      \"chimera_plexus_dreadwing_viewers\",\n      \"chimera_plexus_firebird_users\",\n      \"chimera_plexus_firebird_viewers\",\n      \"chimera_plexus_gorgon_users\",\n      \"chimera_plexus_gorgon_viewers\",\n      \"chimera_plexus_hunter_users\",\n      \"chimera_plexus_hunter_viewers\",\n      \"chimera_plexus_junkyard_users\",\n      \"chimera_plexus_junkyard_viewers\",\n      \"chimera_plexus_mako_users\",\n      \"chimera_plexus_mako_viewers\",\n      \"chimera_plexus_simpsons_users\",\n      \"chimera_plexus_simpsons_viewers\",\n      \"chimera_plexus_spectrum_users\",\n      \"chimera_plexus_spectrum_viewers\",\n      \"chimera_plexus_titan_users\",\n      \"chimera_plexus_titan_viewers\",\n      \"chimera_plexus_viridian_users\",\n      \"chimera_plexus_viridian_viewers\",\n      \"chimera_sri_blue\",\n      \"chimera_srv_user_admin\",\n      \"dctc_odrive\",\n      \"dctc_odrive_g1\",\n      \"dctc_watchdog_user\",\n      \"icebreaker_icebreaker_analyst\",\n      \"icebreaker_icebreaker_dia\",\n      \"icf_ams_dev_branch_chief\",\n      \"icf_ams_dev_dcs_ops\",\n      \"icf_ams_dev_division_chief\",\n      \"icf_ams_dev_general_user\",\n      \"cntesttester06oupeopleoudaeouchimeraou_s_governmentcus\",\n      \"cusou_s_governmentouchimeraoudaeoupeoplecntesttester06\"\n    ]\n  },\n  \"f_sci_ctrls\": {\n    \"negate\": [\n      \"el\",\n      \"el_eu\",\n      \"el_nk\",\n      \"hcs\",\n      \"hcs_o\",\n      \"hcs_p\",\n      \"kdk\",\n      \"kdk_blfh\",\n      \"kdk_idit\",\n      \"kdk_kand\",\n      \"rsv\",\n      \"si_g\"\n    ],\n    \"as_is\": [\n      \"bye\",\n      \"byeman\",\n      \"moray\",\n      \"operational_sigint_byeman\",\n      \"osb\",\n      \"si\",\n      \"spoke\",\n      \"tk\",\n      \"umbra\",\n      \"z\",\n      \"zarf\"\n    ]\n  }\n}\n"}}},"ListTemplatesResponse":{"type":"object","properties":{"LastParseTime":{"type":"string","example":"Wed Oct 27 18:32:53 2021","description":"A string representation of the last time templates folder was parsed"},"Parsed":{"type":"array","items":{"type":"string"},"example":"'[\n  \"icms2013/templates/acm_check_access.tpl\",\n  \"icms2013/templates/acm_gm_data_access.tpl\"\n]'\n","description":"A list of templates in the template path that have been parsed"},"Unparsed":{"type":"array","items":{"type":"string"},"example":"[\n  \"icms2013/templates/acm_check_access_copy.tpl - template: acm_check_access_copy.tpl:14: unexpected \\\"}\\\" in operand\",\n  \"icms2013/templates/acm_check_accessbcopy.tpl - template: acm_check_accessbcopy.tpl:14: unexpected \\\"}\\\" in operand\",\n  \"icms2013/templates/reparse.tpl - template: reparse.tpl:14: unexpected \\\"}\\\" in operand\"\n]\n","description":"A list of templates in the template path that have been cannot be parsed each with a parse error message"}}},"Marking":{"type":"object","required":["MarkingKey","Abbreviation","MarkingState"],"properties":{"MarkingKey":{"type":"string","example":"SCI_ENDSEAL"},"Title":{"type":"string","example":"ENDSEAL"},"Abbreviation":{"type":"string","example":"EL"},"Portion":{"type":"string","example":"EL"},"MarkingState":{"type":"string","default":"Unselected","description":"One of 1. RequiredAllOf - Applies to a different field than the one firing the API event with AAC. The intent is to inform the user(in the context of whatever field fired the API interaction) that he must select all the items in the set to fulfill the editing rule. 2. RequiredOneOf  - Applies to a different field than the one firing the API event with AAC. The intent is to inform the user(in the context of whatever field fired the API interaction) that he must select at least one item in the set to fulfill the editing rule. 3. Selected - Indicates that the field has been selected by the user for inclusion in the subsequent ACM. 4. Unselected  - Indicates that the field has not been selected by the user for inclusion in the subsequent ACM.","example":"Selected"},"MarkingSections":{"type":"array","items":{"$ref":"#/components/schemas/MarkingSection"},"description":"An optional array of MarkingSection objects that belong to this Marking.  Several Markings have the requirement that they contain other Marking Sections.  These special kinds of Markings include the following, these Dissimenation Controls Markings, ORCON, RELEASE TO, EYES, Display Only,  the NON-IC control ACCM, the Joint classification Marking, and finally the FGI Marking.  The reason for their inclusion here inside the Marking type is that these optional cases are meaningless outside of their enclosing marking.  And the reason that this is an array of MarkingSection objects instead of a single one is the case of REL TO that contains both countries and organizations in the REL TO data. In the case of REL TO, the AAC API will properly put these ligatures in their correct MarkingSection so that the UI will get the lists of Organizations and Countries as separate sections.  The AAC API ensures that the MarkingSections array is non-existant whenever the MarkingState in the parent Marking is \"Unselected\" and non-empty otherwise(i.e. for MarkingState \"Selected\", \"RequiredOneOf\", \"RequiredAllOf\")."}}},"MarkingSection":{"type":"obje
[...]
